<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */
// No direct access
defined('_JEXEC') or die;
$editor=JFactory::getEditor();
$params=JComponentHelper::getParams('com_linkymap');
$loadeditor=$params->get('loadeditor',1);
if(JFile::exists(JPATH_SITE."/media/editors/tinymce/tinymce.min.js"))
{
	$script=JURI::root()."media/editors/tinymce/tinymce.min.js";
	$theme="modern";
}
else
{
	
	$script=JURI::root()."media/editors/tinymce/jscripts/tiny_mce/tiny_mce.js";
	$theme="advanced";
}
?>
<script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css" />
<script src="<?php echo $script; ?>"></script>
<script type="text/javascript">
function addLinkyRegion() {
	var mode=document.getElementById("display").value;
	var useraction=document.getElementById("jform_map_action").value;
	var code = document.getElementById("region").value;
	if(mode=="markers")
			{
	var latitude=document.getElementById("latitude").value;
	var longitude=document.getElementById("longitude").value;
			}
	<?php if($loadeditor==0) {
	?>
	var tooltip = document.getElementById("tooltip").value;
	<?php }else {?>
	var tooltip = tinyMCE.get("tooltip").getContent();
		<?php } ?>
	if(useraction=="html_sidebar")
	{
		<?php if($loadeditor==0) {
	?>
	var action =document.getElementById("url").value;
		
	<?php }else {?>
	var action =tinyMCE.get('url').getContent();
		<?php } ?>
	}
	else
	{
	var action = document.getElementById("url").value;
	}
	var color = document.getElementById("color").value;
	var title=document.getElementById("title").value;
        if((code=="")||(tooltip=="")||(title==""))
        {
            var d = document.getElementById("region");
            d.className = d.className + " red";
            var e = document.getElementById("tooltip");
            e.className = e.className + " red";
	    var t=document.getElementById("title");
            t.className = t.className + " red";
	    alert("<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>");
            return;
        }
	var json = [];
	var value=document.getElementById('jform_places').value;
	if(value!="")
	{
		json =JSON.parse(value);
	}
	
			if(mode=="markers")
			{
				json.push({'code':code,'title':title,'tooltip':tooltip,'action':action,'color':color,'latitude':latitude,'longitude':longitude});
			
			}
			else
			{
				json.push({'code':code,'title':title,'tooltip':tooltip,'action':action,'color':color});
			}
	document.getElementById('jform_places').value=JSON.stringify(json);
	document.getElementById("region").value="";
	document.getElementById("title").value="";
	
		<?php if($loadeditor==0) {
	?>
		document.getElementById("tooltip").value="";
	<?php }else {?>
		
        tinyMCE.get("tooltip").setContent("");
	
		<?php } ?>
	var mode=document.getElementById("display").value;
			if(mode=="markers")
			{
				document.getElementById("latitude").value="";
				document.getElementById("longitude").value="";
			}
       if(useraction=="html_sidebar")
	{
		
		<?php if($loadeditor==0) {
	?>
		document.getElementById("url").value="";
	<?php }else {?>
		tinyMCE.get("url").setContent("");
	
		<?php } ?>
	}
	else
	{
	document.getElementById("url").value="";
	}
	addLinkyTableRow();
}

function addLinkyTableRow(){
	var oldData = document.getElementById("jform_places").value;
	var data = "";
	if(oldData!="")
	{
	var jsonData = JSON.parse(oldData);
		for(i = 0; i < jsonData.length; i++){
		data= data+"<tr><td>"+jsonData[i].code+"</td><td>"+jsonData[i].title+"</td><td style='background-color:"+jsonData[i].color+"'>"+jsonData[i].color+"</td><td><input type='button' value='<?php echo JText::_("COM_LINKY_EDIT")?>' onclick='editRegion("+i+");' class='btn'/> <input type='button' value='<?php echo JText::_("COM_LINKY_DELETE")?>' onclick='deleteRegion("+i+");' class='btn'/></td></tr>";
		}
	}
	var header = "<tr><th><?php echo JText::_('COM_LINKY_TITLE_REGION')?></th><th><?php echo JText::_('COM_LINKY_TITLE_TITLE')?></th><th><?php echo JText::_('COM_LINKY_TITLE_COLOR')?></th><th>&nbsp;</th></tr>";
	data = "<table class='linkyMapTable table table-bordered'>\n"+header+"\n"+data+"</table>\n";
	var span = document.getElementById("linkyTable");
	span.innerHTML = data; 
	drawLinkyMap();
}

function updateRegion(id){
		var mode=document.getElementById("display").value;
		var newJson=[];
		var json = document.getElementById("jform_places").value;
		var jsonData = JSON.parse(json);
		for(i = 0; i < jsonData.length; i++){
			if(i!=id)
			{
				if(mode=="markers")
				{
				newJson.push({'code':jsonData[i].code,'title':jsonData[i].title,'tooltip':jsonData[i].tooltip,'action':jsonData[i].action,'color':jsonData[i].color,'latitude':jsonData[i].latitude,'longitude':jsonData[i].longitude});
				}
				else
				{
				newJson.push({'code':jsonData[i].code,'title':jsonData[i].title,'tooltip':jsonData[i].tooltip,'action':jsonData[i].action,'color':jsonData[i].color});
				}
			
			}
			else
			{
				var code=document.getElementById("input-"+id+"-code").value;
				var title=document.getElementById("input-"+id+"-title").value;
				
		<?php if($loadeditor==0) {
			?>
		
				var tooltip=document.getElementById("input-"+id+"-tooltip").value;
	<?php }else {?>
		
				var tooltip=tinyMCE.get("input-"+id+"-tooltip").getContent();
	
		<?php } ?>
				var useraction=document.getElementById("jform_map_action").value;
				if(mode=="markers")
				{
					var latitude=document.getElementById("latitude"+id).value;
					var longitude=document.getElementById("longitude"+id).value;
				}
				if(useraction=="html_sidebar")
				{		
		<?php if($loadeditor==0) {
			?>
		
				var tooltip=document.getElementById("input-"+id+"-action").value;
	<?php }else {?>
		
				var action =tinyMCE.get("input-"+id+"-action").getContent();
	
		<?php } ?>
				}
				else
				{
				var action=document.getElementById("input-"+id+"-action").value;
				}	
				var color='#'+document.getElementById("input-"+id+"-color").value;
				if(mode=="markers")
				{
				newJson.push({'code':code,'title':title,'tooltip':tooltip,'action':action,'color':color,'latitude':latitude,'longitude':longitude});
				}
				else
				{
				newJson.push({'code':code,'title':title,'tooltip':tooltip,'action':action,'color':color});
				}
			}
		}
		document.getElementById("jform_places").value =JSON.stringify(newJson);
		addLinkyTableRow();
}

function deleteRegion(id){
		var conf = confirm('<?php echo JText::_("COM_LINKY_WARNING_REGION")?>');
		if (conf==true)
  		{
		var newJson=[];
		var json = document.getElementById("jform_places").value;
		var jsonData = JSON.parse(json);
		for(i = 0; i < jsonData.length; i++){
			if(i!=id)
			{
			newJson.push({'code':jsonData[i].code,'title':jsonData[i].title,'tooltip':jsonData[i].tooltip,'action':jsonData[i].action,'color':jsonData[i].color});
			}
		}
		
		document.getElementById("jform_places").value =JSON.stringify(newJson);
		addLinkyTableRow();
		}
	}




function editRegion(id){
	
	var oldData = document.getElementById("jform_places").value;
	var jsonData = JSON.parse(oldData);
	var data="";
	var useraction=document.getElementById("jform_map_action").value;
		
		for(i = 0; i < jsonData.length; i++){
		if(id == i) {
			var colorinput = document.createElement("INPUT");
						var inputname = 'input-'+id+'-color';
						var inputvalue = jsonData[i].color;
						 colorinput.type = 'text';
						 colorinput.id = String(inputname);
						 colorinput.value = String(inputvalue);
						var col = new jscolor.color(colorinput);
			data= data+ "<tr class='editing-map-entry'><td colspan='6'>";
			data=data+'<div class="control-group"><div class="control-label"><?php echo JText::_("COM_LINKY_TITLE_REGION")?>*: </div>';
			var mode=document.getElementById("display").value;
			if(mode=="markers")
			{
				data=data+'<div class="controls"><input type="text"  name="region" id="input-'+id+'-code" value="'+jsonData[i].code+'" class="span7" onblur="geocode('+id+');"><input class="button btn" value="geocode" onClick="geocode('+id+');" type="button"/><br/>Latitude:<input type="text"  id="latitude'+id+'" name="latitude'+id+'" value="'+jsonData[i].latitude+'" class="span2">Longitude:<input type="text"  id="longitude'+id+'" name="longitude'+id+'" value="'+jsonData[i].longitude+'" class="span2"><br/>';
			}
			else
			{
				data=data+'<div class="controls"><input type="text"  name="region" id="input-'+id+'-code" value="'+jsonData[i].code+'" class="span7">';
			}
			data=data+'</div></div><div class="control-label"><?php echo JText::_("COM_LINKY_TITLE_TITLE")?>*: </div><div class="controls"><input type="text"  name="title" id="input-'+id+'-title" value="'+jsonData[i].title+'" class="span7"></div></div><div class="control-group"><div class="control-label"><?php echo JText::_("COM_LINKY_TITLE_TOOLTIP")?>: </div><div class="controls"><div id="translations1"></div></div></div>';
			if(useraction=="html_sidebar")
			{
			data=data+'<div class="control-group"><div class="control-label"><?php echo JText::_("COM_LINKY_FORM_LBL_HTMLTEXT")?>: </div><div class="controls" id="action_input_'+i+'"><div id="translations"></div></div>';
			}
			else
				{
			data=data+'<div class="control-group"><div class="control-label"><?php echo JText::_("COM_LINKY_TITLE_ACTION")?>: </div><div class="controls"><input type="text"  name="url" id="input-'+id+'-action" value="'+jsonData[i].action+'"></div></div>';
			}
			data=data+'<div class="control-group"><div class="control-label"><?php echo JText::_("COM_LINKY_TITLE_COLOR")?>: </div><div class="controls"><span id="colorpicker"></span></div></div><div class="control-group"></div>';
			data= data+ "<input type='button' value='<?php echo JText::_("COM_LINKY_DONE")?>' onclick='updateRegion("+id+");' class='btn'/><input type='button' value='<?php echo JText::_("COM_LINKY_CANCEL")?>' onclick='addLinkyTableRow();' class='btn' /></td></tr>";			
		
		} else {
			
		data= data+"<tr><td>"+jsonData[i].code+"</td><td>"+jsonData[i].title+"</td><td style='background-color:"+jsonData[i].color+"'>"+jsonData[i].color+"</td><td><input type='button' value='<?php echo JText::_("COM_LINKY_EDIT")?>' onclick='editRegion("+i+");' class='btn'/> <input type='button' value='<?php echo JText::_("COM_LINKY_DELETE")?>' onclick='deleteRegion("+i+");' class='btn'/></td></tr>";}
		
	}
	var header = "<tr><th><?php echo JText::_('COM_LINKY_TITLE_REGION')?></th><th><?php echo JText::_('COM_LINKY_TITLE_TITLE')?></th><th><?php echo JText::_('COM_LINKY_TITLE_COLOR')?></th><th>&nbsp;</th></tr>";
        
        data = "<table class='linkyMapTable table table-bordered'>\n"+header+"\n"+data+"</table>\n";
	
	var span = document.getElementById("linkyTable");
	span.innerHTML = data; 
	document.getElementById("colorpicker").appendChild(colorinput);
	
	reloadTinymce(id,jsonData[id].action,jsonData[id].tooltip);
}
     var mapdata_2 = new Array();
google.load('visualization', '1', {packages: ['geomap']});
google.setOnLoadCallback(drawLinkyMap);
     function drawLinkyMap() {
	var oldData = document.getElementById("jform_places").value;
		var places = [];
	if(oldData!="")
		{
			places = JSON.parse(oldData);
			
		}
		var bgcolor = document.getElementById('jform_bg_color').value;
		var stroke = document.getElementById('jform_border_stroke').value;
		var bordercolor = document.getElementById('jform_border_color').value;
		var  datalessRegionColor = document.getElementById('jform_ina_color').value;
		var width = document.getElementById('jform_width').value;
		var height = document.getElementById('jform_height').value;
		var aspratio = document.getElementById('jform_aspect_ratio');
		var interact = document.getElementById('jform_aspect_ratio');
		var tooltipt = document.getElementById('jform_showtooltip');
		var mapregion = document.getElementById('jform_region').value;
		var areashow = mapregion.split(",");
		var region = areashow[0]; 
		var resolution = areashow[1];
		var markersize = document.getElementById('jform_marker_size').value;
		var displaym = document.getElementById('jform_display_mode').value;
		var oldData = document.getElementById("jform_places").value;
                var mapaction = document.getElementById('jform_map_action').value;
		var displaymode=document.getElementById('jform_display_mode').value;
		if (displaymode=="markers") {
			displaymode=document.getElementById('jform_displaytype').value;
		}
		var data = new google.visualization.DataTable();
		var colori="";
			var colorsmap = [];
			var colorsmapecho = "";		
		data.addColumn('string', 'Country');
		 data.addColumn('number', '');
		 	data.addColumn({type:'string', role:'tooltip', p:{html:true}});
		 for (var i = 0; i < places.length; i++) {
			var entry = places[i].code;
			var ttitle = places[i].tooltip;
			var ttooltip = places[i].tooltip;
			data.addRows([[{'v':places[i].code,'f':places[i].title},{'v':i,'f':ttooltip},ttooltip]]);
			var colori = places[i].color;
			colorsmapecho = colorsmapecho + "'"+colori+"',";
			colorsmap.push(colori);
			}
			
            var chart = new google.visualization.GeoChart(document.getElementById('visualization_map'));
		

        // set options for this chart
        var options =
        {
              width:width,
	      height:height,
              region: region,
              resolution:resolution,
              colorAxis: { colors: colorsmap },
	     backgroundColor: {fill:bgcolor,stroke:bordercolor ,strokeWidth:stroke },	
	      datalessRegionColor:  datalessRegionColor,
	      displayMode: displaymode, 
	      sizeAxis: {minValue: 1, maxValue:1,minSize:markersize,  maxSize: markersize},
              legend: 'none',
	      tooltip: {
            isHtml: true
		}
        };
        chart.draw( data, options );

    }
	
	function linkymap() {	 	
		
		var display = document.getElementById('jform_display_mode').value;
	  	var mapregion = document.getElementById('jform_region').value;
		var mapaction = document.getElementById('jform_map_action').value;
		var areashow = mapregion.split(",");
		var region = areashow[0]; 
		var resolution = areashow[1];
		var span = document.getElementById("linkymaphelper");
	  
	  if(resolution == 'countries' && display == "regions")	{
		   
		span.innerHTML = "<button type='button' class='close' data-dismiss='alert'>&times;</button><b>" + document.getElementById('jform_region')[document.getElementById('jform_region').selectedIndex].innerHTML + "</b>- <?php echo JText::_('COM_LINKY_COUNTRIES');?>";
			
	  } 
	  
	   if(resolution == 'provinces' && display == "regions")	{
		var ct = areashow[0].length;
		var linkiso;
		if(ct>2) { 
		linkiso = "<a target='_blank' href='http://en.wikipedia.org/wiki/ISO_3166-2:US#Current_codes'>ISO-3166-2:US</a>";
		} else {
		linkiso = "<a target='_blank' href='http://en.wikipedia.org/wiki/ISO_3166-2:"+areashow[0]+"#Current_codes'>ISO-3166-2:"+areashow[0]+"</a>";	
		}
		span.innerHTML = "<button type='button' class='close' data-dismiss='alert'>&times;</button><b>" + document.getElementById('jform_region')[document.getElementById('jform_region').selectedIndex].innerHTML + "</b> -<?php echo JText::_('COM_LINKY_PROVINCE');?>"+linkiso;
				
	  	} 
	  
	  if(resolution == 'metros' && display == "regions") {
		 
		 span.innerHTML = "<button type='button' class='close' data-dismiss='alert'>&times;</button><b>" + document.getElementById('jform_region')[document.getElementById('jform_region').selectedIndex].innerHTML + "</b> - <?php echo JText::_('COM_LINKY_METRO');?>"; //
		 }
		 
		 if(resolution == 'continents' && display == "regions") {
		 
		 span.innerHTML = "<button type='button' class='close' data-dismiss='alert'>&times;</button><b>" + document.getElementById('jform_region')[document.getElementById('jform_region').selectedIndex].innerHTML + "</b> - <?php echo JText::_('COM_LINKY_CONTINENTS');?>"; //
		
		 
		 }
		 
		  if(resolution == 'subcontinents' && display == "regions") {
		 
		 span.innerHTML = "<button type='button' class='close' data-dismiss='alert'>&times;</button><b>" + document.getElementById('jform_region')[document.getElementById('jform_region').selectedIndex].innerHTML + "</b> - <?php echo JText::_('COM_LINKY_SUBCONTINENTS');?>"; //
		 
		 
			
		 }
		   

	}
	function updateMap() {
			var data="";
			
		var useraction=document.getElementById("jform_map_action").value;
		
		if(useraction=="html_sidebar")
			{
				<?php if($loadeditor==0) {
			?><?php
				}else {?>
			var input = document.createElement("textarea");
			input.name = "post";
		 input.setAttribute('class', 'myTextEditor');
		 input.setAttribute('id', 'url');
		 input.setAttribute('name', 'url');
		 var act_div = document.getElementById("action_label");
			act_div.innerHTML = "<?php echo JText::_("COM_LINKY_FORM_LBL_HTMLTEXT")?>:";
			var div = document.getElementById("action_input");
			div.innerHTML = "";
			div.appendChild(input);
			<?php } ?>
			}
			else
				{
					<?php if($loadeditor==0) {
			?><?php
				}else {?>
					tinyMCE.execCommand('mceRemoveControl', true, 'url');
					<?php } ?>
			data='<div class="control-group"><div class="control-label" id="action_label"><?php echo JText::_("COM_LINKY_TITLE_ACTION")?>: </div><div class="controls" id="action_input"><input type="text"  name="url" id="url"></div></div>';
			var act_div = document.getElementById("action_div");
			act_div.innerHTML = data;
			}
		drawLinkyMap();
		<?php if($loadeditor==0) {
			?><?php
				}else {?>
		loadtinymce();
		<?php } ?>
		linkymap();
             
                getAutocomplete();
        	
	}
	function initmap() {
		
		var useraction=document.getElementById("jform_map_action").value;
		var data="";
		if(useraction=="html_sidebar")
			{
				
			var input = document.createElement("textarea");
			input.name = "post";
		 input.setAttribute('class', 'myTextEditor');
		 input.setAttribute('id', 'url');
		 input.setAttribute('name', 'url');
		 var act_div = document.getElementById("action_label");
			act_div.innerHTML = "<?php echo JText::_("COM_LINKY_FORM_LBL_HTMLTEXT")?>:";
			var div = document.getElementById("action_input");
			div.innerHTML = "";
			div.appendChild(input);
			}
			else
				{
			data='<div class="control-group"><div class="control-label" id="action_label"><?php echo JText::_("COM_LINKY_TITLE_ACTION")?>: </div><div class="controls" id="action_input"><input type="text"  name="url" id="url"></div></div>';
			var act_div = document.getElementById("action_div");
			act_div.innerHTML = data;
			}
			
           	addLinkyTableRow();
		linkymap();
		<?php if($loadeditor==0) {
			?><?php
				}else {?>
		loadtinymce();
		<?php } ?>
                getAutocomplete();
            
	}
	window.onload=initmap;
        
         function getAutocomplete()
        {
            /*<![CDATA[*/
	var value = document.getElementById('jform_display_mode').value;
            var mapregion = document.getElementById('jform_region').value;
            var areashow = mapregion.split(",");
            var region = areashow[0];
           var resolution = areashow[1];
            if(value=="regions")
            {
			if((resolution=="countries"))
			{
				
				<?php require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/json/all.php"); ?>
			}
			else if(resolution == 'provinces')
			{
				<?php require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/json/country.php"); ?>
			}
			else if(resolution == 'continents')
			{
				<?php require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/json/continent.php"); ?>
			}
			else if(resolution == 'subcontinents')
			{
				<?php require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/json/subcontinent.php"); ?>
			}
			else
			{
				<?php require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/json/none.php"); ?>
			}
            }
	    else
	    {
    var spSearchDefStr = "search...";
    function initRSA() {
    
        var input = document.getElementById("region");
        var options = {types:[]};
        var ac = new google.maps.places.Autocomplete(input, options);
        var intRegex = /^\d+$/;
       if((resolution=="countries")||(resolution=="provinces"))
               {
                   if((region!="world")&&(!(intRegex.test(region))))
                       {
                ac.setComponentRestrictions({'country': region});
                       }
               }
        google.maps.event.addListener(ac, "place_changed", function()
        {
            
            var pl = ac.getPlace();
        });
    }
    initRSA()
    /*]]>*/
	    }
        }
	
	function loadtinymce(){
    tinyMCE.init({
        mode : "specific_textareas",
        editor_selector : "myTextEditor",
	theme : "<?php echo $theme;?>",
        	 plugins: [
        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
        "searchreplace wordcount visualblocks visualchars code fullscreen",
        "insertdatetime media nonbreaking save table contextmenu directionality",
        "emoticons template paste textcolor"
    ],
    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
    });
    
    }
    function reloadTinymce(id,value,value2)
    {
	var useraction=document.getElementById("jform_map_action").value;
		var data="";
		if(useraction=="html_sidebar")
			{
				
	var idiv = document.getElementById('translations');
        var newdiv = document.createElement('div');
        newdiv.id = 10;
        idiv.appendChild(newdiv);

        var latestdiv = document.createElement('div')
        latestdiv.id = 4;
        newdiv.appendChild(latestdiv);

        var textarea1 = document.createElement('textarea');
        textarea1.id = "input-"+id+"-action";
        textarea1.className = "myTextEditor";
		textarea1.value=value;
        latestdiv.appendChild(textarea1);
	
			}
	var idiv1 = document.getElementById('translations1');
        var newdiv1 = document.createElement('div');
        newdiv1.id = 10;
        idiv1.appendChild(newdiv1);

        var latestdiv1 = document.createElement('div')
        latestdiv1.id = 4;
        newdiv1.appendChild(latestdiv1);

        var textarea2 = document.createElement('textarea');
        textarea2.id = "input-"+id+"-tooltip";
        textarea2.className = "myTextEditor";
	textarea2.value=value2;
        latestdiv1.appendChild(textarea2);
	<?php if($loadeditor==0) {
	}else {?>
	
	tinymce.init({mode : "specific_textareas", element : "input-'"+id+"-action", editor_selector : "myTextEditor", theme : "<?php echo $theme;?>",
		     plugins: [
        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
        "searchreplace wordcount visualblocks visualchars code fullscreen",
        "insertdatetime media nonbreaking save table contextmenu directionality",
        "emoticons template paste textcolor"
    ],
    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
    });
	if(useraction=="html_sidebar")
			{
			
	tinyMCE.get("input-"+id+"-action").setContent(value);
	
			}
	tinyMCE.get("input-"+id+"-tooltip").setContent(value2);
	<?php } ?>
    }
    function geocode(id)
    {
	var geocoder = new google.maps.Geocoder();
	if(id==-1)
	{
		var address = document.getElementById("region").value;
	}
	else
	{
		var address = document.getElementById('input-'+id+'-code').value;
		
	}
			geocoder.geocode( { 'address': address}, function(results, status) {
			
			  if (status == google.maps.GeocoderStatus.OK) {
				var glatitude = results[0].geometry.location.lat();
				var glongitude = results[0].geometry.location.lng();
				if(id==-1)
				{
				document.getElementById("latitude").value=glatitude;
				document.getElementById("longitude").value=glongitude;
				}
				else
				{
				document.getElementById("latitude"+id).value=glatitude;
				document.getElementById("longitude"+id).value=glongitude;
				}
			  } else {
					
			}
			});
    }
   

</script>
