<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die;

class modjoomsocialLinkymapHelper
{
	static function getData($type,$limit,$filter)
	{
		include_once(JPATH_BASE.'/components/com_community/defines.community.php');
		require_once(JPATH_BASE .'/components/com_community/libraries/core.php');
		if($type=="Events")
		{
			$model	= CFactory::getModel('Events');
			
			$result	= $model->getEvents( $filter, null , null , null , true , false , null , null , CEventHelper::ALL_TYPES , 0 , $limit);
			$events	= array();
		
			foreach( $result as $row )
			{
					$cdata=new stdClass();
				$event	= JTable::getInstance( 'Event' , 'CTable' );
				$event->bind( $row );
				$cdata->code=$event->location;
				$cdata->title=$event->title;
				$cdata->tooltip=nl2br(CEventHelper::formatStartDate($event, JText::_('d') )." ".CEventHelper::formatStartDate($event, JText::_('M') )." ".CStringHelper::escape( $event->location ));
				$cdata->action=JURI::base().$event->getLink();
				$cdata->latitude=$event->latitude;
				$cdata->longitude=$event->longitude;
				$cdata->color=modjoomsocialLinkymapHelper::ColorSwatch();
				$events[]	= $cdata;
			}
			return $events;
		}
		else
		{
			
			$lang = JFactory::getLanguage();
			$lang->load( 'com_community.country',JPATH_SITE);
			$model = CFactory::getModel('user');
			if($filter=="latest")
			{
			$latestMembers = $model->getLatestMember($limit);
			}
			else if($filter=="popular")
			{
			$latestMembers = $model->getPopularMember($limit);	
			}
			else if($filter=="online")
			{
				$latestMembers = $model->getOnlineUsers($limit);
			}
			else
			{
				$latestMembers = $model->getActiveMember($limit);
			}
			$groups=array();
			foreach( $latestMembers as $member )
			{
				$groups[]=$member->id;
			}
			if(empty($groups))
			{
				return;
			}
			
			$users	= array();
			$db		= JFactory::getDbo();
			$query	= $db->getQuery(true)
			->select($db->quoteName(array('a.userid','a.latitude', 'a.longitude')))
			->where('a.userid in (' . implode(',', $groups) . ')')
			->from('#__community_users AS a');
			$db->setQuery($query);
			$results = $db->loadObjectList();
			$lat=array();
			foreach($results  as $res)
			{
			$lat[$res->userid]['latitude']=$res->latitude;
			$lat[$res->userid]['longitude']=$res->longitude;
			}
			
			$c=0;
			foreach( $latestMembers as $member )
			{
				if($filter=="online")
				{
					$member=CFactory::getUser($member->id);
				}
				$cdata=new stdClass();
				$cdata->title= $member->getDisplayName();
				$config	= CFactory::getConfig();
				$cdata->tooltip=JText::_($member->getInfo( $config->get('fieldcodestreet') ))." ".JText::_($member->getInfo( $config->get('fieldcodecity') ))." ".JText::_($member->getInfo( $config->get('fieldcodestate') ))." ".JText::_($member->getInfo( $config->get('fieldcodecountry') ));
				$cdata->code=$cdata->tooltip;
				$cdata->action=CRoute::_('index.php?option=com_community&view=profile&userid='.$member->id );
				$cdata->latitude=$lat[ $member->id]['latitude'];
				$cdata->longitude=$lat[ $member->id]['longitude'];
				$cdata->color=modjoomsocialLinkymapHelper::ColorSwatch();
				$users[]	= $cdata;
				$c++;
			}
			
			return $users;
			
		}
	}
	public static function ColorSwatch() {
	return sprintf('#%06X', mt_rand(0, 0xFFFFFF));
	}

}
