<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

jimport('joomla.language.helper');

require_once JPATH_SITE.'/components/com_linkymap/helpers/linkymap.php';

/**
 * Main class for Content Dictionary Plugin
 *
 * @since	0.0.1
 */
class plgContentLinkyMap extends JPlugin
{
	/**
	 * Prepare content method
	 *
	 * Method is called by the view
	 *
	 * @param	string	The context of the content being passed to the plugin.
	 * @param	object	The content object.  Note $content->text is also available
	 * @param	object	The content params
	 * @param	int		The 'page' number
	 *
	 * @since	0.0.1
	 */
	public function onContentPrepare($context, &$content, &$params, $limitstart) 
	{
		
		// Get data to replace
		$tag = 'linkymap';
               
		$app =JFactory::getApplication();
		$db = JFactory::getDBO();
		$option = JRequest::getVar('option');
		$task 	= JRequest::getVar('task');
		$width=null;
		$height=null;
		if ($option == 'com_content' && $task == 'edit')
			return true;
		if (strpos($content->text, '{'.$tag.' ') === false)
			return true;
		
		$pattern = '#\{'.$tag.' (.*?)}#i';
                if (preg_match_all($pattern, $content->text, $matches))
		{
			require_once JPATH_SITE.'/components/com_linkymap/helpers/linkymap.php';
			$lang =JFactory::getLanguage();
			$lang->load('com_linkymap', JPATH_SITE);
			
			foreach ($matches[0] as $i => $match)
			{
				$data = explode(" ",$matches[1][$i]);
                                $mapId=$data[0];
				// Create a new query object.
				$query = $db->getQuery(true);
				$query->select('*');
				$query->from('#__linkymap_map');
				$query->where('id= ' . $db->quote($mapId));
				$db->setQuery($query);
				$mapdata = $db->loadObject();
				$map=LinkymapHelpers::createMap($mapdata);
				$content->text = str_replace($matches[0][$i],$map, $content->text);
			}
		}
		
	}
	
}
