<?php

/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

// Import Joomla plugin library
jimport('joomla.plugin.plugin');

/**
 * Editor Article buton
 *
 * @package		Joomla.Plugin
 * @subpackage	Editors-xtd.article
 * @since 1.5
 */
class plgButtonLinkyMap extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       1.5
	 */
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}


	/**
	 * Display the button
	 *
	 * @return array A four element array of (article_id, article_title, category_id, object)
	 */
	function onDisplay( $name )
	{
                $app = JFactory::getApplication();
                if ($app->isSite()) {
                    return;
                }
                /*
		 * Javascript to insert the link
		 * View element calls jSelectMedia when a media is clicked
		 * jSelectMedia creates the link tag, sends it to the editor,
		 * and closes the select frame.
		 */
		$js = "
		function jSelectChart_linkymap_request_id(id) {
			var tag = '{linkymap '+id+'}';
			jInsertEditorText(tag, '".$name."');
			SqueezeBox.close();
		}";
		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration($js);

		JHtml::_('behavior.modal');
		$link = 'index.php?option=com_linkymap&amp;view=maps&layout=modal&tmpl=component&function=jSelectChart_linkymap_request_id';

		$button = new JObject();
		$button->modal = true;
		$button->class = 'btn';
		$button->link = $link;
		$button->text = JText::_('Linky Map');
		$button->name = 'location';
		$button->options = "{handler: 'iframe', size: {x: 800, y: 500}}";
		return $button;
	}
}
