<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldRegion extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'region';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
        protected function getOptions() 
	{

            $regions = array (
					array('text' => 'World', 'value' => 'world,countries'),
					array('text' => 'World - Continent Regions', 'value' => 'world,continents'),
					array('text' => 'World - Subcontinents Regions', 'value' => 'world,subcontinents'),
					array('text' => 'Africa', 'value' => '002,countries'),
					array('text' => 'Africa - Subcontinents Regions', 'value' => '002,subcontinents'),
					array('text' => 'Africa - Northern Africa', 'value' => '015,countries'),
					array('text' => 'Africa - Western Africa', 'value' => '011,countries'),
					array('text' => 'Africa - Middle Africa', 'value' => '017,countries'),
					array('text' => 'Africa - Eastern Africa', 'value' => '014,countries'),
					array('text' => 'Africa - Southern Africa', 'value' => '018,countries'),
					array('text' => 'Europe', 'value' => '150,countries'),
					array('text' => 'Europe - Subcontinents Regions', 'value' => '150,subcontinents'),
					array('text' => 'Europe - Northern Europe', 'value' => '154,countries'),
					array('text' => 'Europe - Western Europe', 'value' => '155,countries'),
					array('text' => 'Europe - Eastern Europe', 'value' => '151,countries'),
					array('text' => 'Europe - Southern Europe', 'value' => '039,countries'),
					array('text' => 'Americas', 'value' => '019,countries'),
					array('text' => 'Americas - Subcontinents Regions', 'value' => '019,subcontinents'),
					array('text' => 'Americas - Northern America', 'value' => '021,countries'),
					array('text' => 'Americas - Caribbean', 'value' => '029,countries'),
					array('text' => 'Americas - Central America', 'value' => '013,countries'),
					array('text' => 'Americas - South America', 'value' => '005,countries'),
					array('text' => 'Asia', 'value' => '142,countries'),
					array('text' => 'Asia - Subcontinents Regions', 'value' => '142,subcontinents'),					
					array('text' => 'Asia - Central Asia', 'value' => '143,countries'),
					array('text' => 'Asia - Eastern Asia', 'value' => '030,countries'),
					array('text' => 'Asia - Southern Asia', 'value' => '034,countries'),
					array('text' => 'Asia - South-Eastern Asia', 'value' => '035,countries'),
					array('text' => 'Asia - Western Asia', 'value' => '145,countries'),
					array('text' => 'Oceania', 'value' => '009,countries'),
					array('text' => 'Oceania - Subcontinents Regions', 'value' => '009,subcontinents'),
					array('text' => 'Oceania - Australia and New Zealand', 'value' => '053,countries'),
					array('text' => 'Oceania - Melanesia', 'value' => '054,countries'),
					array('text' => 'Oceania - Micronesia', 'value' => '057,countries'),
					array('text' => 'Oceania - Polynesia', 'value' => '061,countries'),
					array('text' => 'United States of America - States', 'value' => 'US,provinces'),
					array('text' => 'United States of America - Metropolitan Areas', 'value' => 'US,metros'),
					array('text' => 'USA - Alabama - Metropolitan Areas', 'value' => 'US-AL,metros'),
					array('text' => 'USA - Alabama State', 'value' => 'US-AL,provinces'),
					array('text' => 'USA - Alaska - Metropolitan Areas', 'value' => 'US-AK,metros'),
					array('text' => 'USA - Alaska State', 'value' => 'US-AK,provinces'),
					array('text' => 'USA - Arizona - Metropolitan Areas', 'value' => 'US-AZ,metros'),
					array('text' => 'USA - Arizona State', 'value' => 'US-AZ,provinces'),
					array('text' => 'USA - Arkansas - Metropolitan Areas', 'value' => 'US-AR,metros'),
					array('text' => 'USA - Arkansas State', 'value' => 'US-AR,provinces'),
					array('text' => 'USA - California - Metropolitan Areas', 'value' => 'US-CA,metros'),
					array('text' => 'USA - California State', 'value' => 'US-CA,provinces'),
					array('text' => 'USA - Colorado - Metropolitan Areas', 'value' => 'US-CO,metros'),
					array('text' => 'USA - Colorado State', 'value' => 'US-CO,provinces'),
					array('text' => 'USA - Connecticut - Metropolitan Areas', 'value' => 'US-CT,metros'),
					array('text' => 'USA - Connecticut State', 'value' => 'US-CT,provinces'),
					array('text' => 'USA - Delaware - Metropolitan Areas', 'value' => 'US-DE,metros'),
					array('text' => 'USA - Delaware State', 'value' => 'US-DE,provinces'),
					array('text' => 'USA - District of Columbia - Metropolitan Areas', 'value' => 'US-DC,metros'),
					array('text' => 'USA - District of Columbia', 'value' => 'US-DC,provinces'),
					array('text' => 'USA - Florida - Metropolitan Areas', 'value' => 'US-FL,metros'),
					array('text' => 'USA - Florida State', 'value' => 'US-FL,provinces'),
					array('text' => 'USA - Georgia - Metropolitan Areas', 'value' => 'US-GA,metros'),
					array('text' => 'USA - Georgia State', 'value' => 'US-GA,provinces'),
					array('text' => 'USA - Hawaii - Metropolitan Areas', 'value' => 'US-HI,metros'),
					array('text' => 'USA - Hawaii State', 'value' => 'US-HI,provinces'),
					array('text' => 'USA - Idaho - Metropolitan Areas', 'value' => 'US-ID,metros'),
					array('text' => 'USA - Idaho State', 'value' => 'US-ID,provinces'),
					array('text' => 'USA - Illinois - Metropolitan Areas', 'value' => 'US-IL,metros'),
					array('text' => 'USA - Illinois State', 'value' => 'US-IL,provinces'),
					array('text' => 'USA - Indiana - Metropolitan Areas', 'value' => 'US-IN,metros'),
					array('text' => 'USA - Indiana State', 'value' => 'US-IN,provinces'),
					array('text' => 'USA - Iowa - Metropolitan Areas', 'value' => 'US-IA,metros'),
					array('text' => 'USA - Iowa State', 'value' => 'US-IA,provinces'),
					array('text' => 'USA - Kansas - Metropolitan Areas', 'value' => 'US-KS,metros'),
					array('text' => 'USA - Kansas State', 'value' => 'US-KS,provinces'),
					array('text' => 'USA - Kentucky - Metropolitan Areas', 'value' => 'US-KY,metros'),
					array('text' => 'USA - Kentucky State', 'value' => 'US-KY,provinces'),
					array('text' => 'USA - Louisiana - Metropolitan Areas', 'value' => 'US-LA,metros'),
					array('text' => 'USA - Louisiana State', 'value' => 'US-LA,provinces'),
					array('text' => 'USA - Maine - Metropolitan Areas', 'value' => 'US-ME,metros'),
					array('text' => 'USA - Maine State', 'value' => 'US-ME,provinces'),
					array('text' => 'USA - Maryland - Metropolitan Areas', 'value' => 'US-MD,metros'),
					array('text' => 'USA - Maryland State', 'value' => 'US-MD,provinces'),
					array('text' => 'USA - Massachusetts - Metropolitan Areas', 'value' => 'US-MA,metros'),
					array('text' => 'USA - Massachusetts State', 'value' => 'US-MA,provinces'),
					array('text' => 'USA - Michigan - Metropolitan Areas', 'value' => 'US-MI,metros'),
					array('text' => 'USA - Michigan State', 'value' => 'US-MI,provinces'),
					array('text' => 'USA - Minnesota - Metropolitan Areas', 'value' => 'US-MN,metros'),
					array('text' => 'USA - Minnesota State', 'value' => 'US-MN,provinces'),
					array('text' => 'USA - Mississippi - Metropolitan Areas', 'value' => 'US-MS,metros'),
					array('text' => 'USA - Mississippi State', 'value' => 'US-MS,provinces'),
					array('text' => 'USA - Missouri - Metropolitan Areas', 'value' => 'US-MO,metros'),
					array('text' => 'USA - Missouri State', 'value' => 'US-MO,provinces'),
					array('text' => 'USA - Montana - Metropolitan Areas', 'value' => 'US-MT,metros'),
					array('text' => 'USA - Montana State', 'value' => 'US-MT,provinces'),
					array('text' => 'USA - Nebraska - Metropolitan Areas', 'value' => 'US-NE,metros'),
					array('text' => 'USA - Nebraska State', 'value' => 'US-NE,provinces'),
					array('text' => 'USA - Nevada - Metropolitan Areas', 'value' => 'US-NV,metros'),
					array('text' => 'USA - Nevada State', 'value' => 'US-NV,provinces'),
					array('text' => 'USA - New Hampshire - Metropolitan Areas', 'value' => 'US-NH,metros'),
					array('text' => 'USA - New Hampshire State', 'value' => 'US-NH,provinces'),
					array('text' => 'USA - New Jersey - Metropolitan Areas', 'value' => 'US-NJ,metros'),
					array('text' => 'USA - New Jersey State', 'value' => 'US-NJ,provinces'),
					array('text' => 'USA - New Mexico - Metropolitan Areas', 'value' => 'US-NM,metros'),
					array('text' => 'USA - New Mexico State', 'value' => 'US-NM,provinces'),
					array('text' => 'USA - New York - Metropolitan Areas', 'value' => 'US-NY,metros'),
					array('text' => 'USA - New York State', 'value' => 'US-NY,provinces'),
					array('text' => 'USA - North Carolina - Metropolitan Areas', 'value' => 'US-NC,metros'),
					array('text' => 'USA - North Carolina State', 'value' => 'US-NC,provinces'),
					array('text' => 'USA - North Dakota - Metropolitan Areas', 'value' => 'US-ND,metros'),
					array('text' => 'USA - North Dakota State', 'value' => 'US-ND,provinces'),
					array('text' => 'USA - Ohio - Metropolitan Areas', 'value' => 'US-OH,metros'),
					array('text' => 'USA - Ohio State', 'value' => 'US-OH,provinces'),
					array('text' => 'USA - Oklahoma - Metropolitan Areas', 'value' => 'US-OK,metros'),
					array('text' => 'USA - Oklahoma State', 'value' => 'US-OK,provinces'),
					array('text' => 'USA - Oregon - Metropolitan Areas', 'value' => 'US-OR,metros'),
					array('text' => 'USA - Oregon State', 'value' => 'US-OR,provinces'),
					array('text' => 'USA - Pennsylvania - Metropolitan Areas', 'value' => 'US-PA,metros'),
					array('text' => 'USA - Pennsylvania State', 'value' => 'US-PA,provinces'),
					array('text' => 'USA - Rhode Island - Metropolitan Areas', 'value' => 'US-RI,metros'),
					array('text' => 'USA - Rhode Island State', 'value' => 'US-RI,provinces'),
					array('text' => 'USA - South Carolina - Metropolitan Areas', 'value' => 'US-SC,metros'),
					array('text' => 'USA - South Carolina State', 'value' => 'US-SC,provinces'),
					array('text' => 'USA - South Dakota - Metropolitan Areas', 'value' => 'US-SD,metros'),
					array('text' => 'USA - South Dakota State', 'value' => 'US-SD,provinces'),
					array('text' => 'USA - Tennessee - Metropolitan Areas', 'value' => 'US-TN,metros'),
					array('text' => 'USA - Tennessee State', 'value' => 'US-TN,provinces'),
					array('text' => 'USA - Texas - Metropolitan Areas', 'value' => 'US-TX,metros'),
					array('text' => 'USA - Texas State', 'value' => 'US-TX,provinces'),
					array('text' => 'USA - Utah - Metropolitan Areas', 'value' => 'US-UT,metros'),
					array('text' => 'USA - Utah State', 'value' => 'US-UT,provinces'),
					array('text' => 'USA - Vermont - Metropolitan Areas', 'value' => 'US-VT,metros'),
					array('text' => 'USA - Vermont State', 'value' => 'US-VT,provinces'),
					array('text' => 'USA - Virginia - Metropolitan Areas', 'value' => 'US-VA,metros'),
					array('text' => 'USA - Virginia State', 'value' => 'US-VA,provinces'),
					array('text' => 'USA - Washington - Metropolitan Areas', 'value' => 'US-WA,metros'),
					array('text' => 'USA - Washington State', 'value' => 'US-WA,provinces'),
					array('text' => 'USA - West Virginia - Metropolitan Areas', 'value' => 'US-WV,metros'),
					array('text' => 'USA - West Virginia State', 'value' => 'US-WV,provinces'),
					array('text' => 'USA - Wisconsin - Metropolitan Areas', 'value' => 'US-WI,metros'),
					array('text' => 'USA - Wisconsin State', 'value' => 'US-WI,provinces'),
					array('text' => 'USA - Wyoming - Metropolitan Areas', 'value' => 'US-WY,metros'),
					array('text' => 'USA - Wyoming State', 'value' => 'US-WY,provinces'),		
					array('text' => 'Afghanistan - Provinces', 'value' => 'AF,provinces'),
					array('text' => 'Aland Islands', 'value' => 'AX,countries'),
					array('text' => 'Albania - Provinces', 'value' => 'AL,provinces'),
					array('text' => 'Algeria - Provinces', 'value' => 'DZ,provinces'),
					array('text' => 'American Samoa', 'value' => 'AS,countries'),
					array('text' => 'Andorra - Provinces', 'value' => 'AD,provinces'),
					array('text' => 'Angola - Provinces', 'value' => 'AO,provinces'),
					array('text' => 'Anguilla', 'value' => 'AI,countries'),
					array('text' => 'Antigua and Barbuda - Provinces', 'value' => 'AG,provinces'),
					array('text' => 'Argentina - Provinces', 'value' => 'AR,provinces'),
					array('text' => 'Armenia - Provinces', 'value' => 'AM,provinces'),
					array('text' => 'Aruba', 'value' => 'AW,countries'),
					array('text' => 'Australia - Provinces', 'value' => 'AU,provinces'),
					array('text' => 'Austria - Provinces', 'value' => 'AT,provinces'),
					array('text' => 'Azerbaijan - Provinces', 'value' => 'AZ,provinces'),
					array('text' => 'Bahamas - Provinces', 'value' => 'BS,provinces'),
					array('text' => 'Bahrain - Provinces', 'value' => 'BH,provinces'),
					array('text' => 'Bangladesh - Provinces', 'value' => 'BD,provinces'),
					array('text' => 'Barbados - Provinces', 'value' => 'BB,provinces'),
					array('text' => 'Belarus - Provinces', 'value' => 'BY,provinces'),
					array('text' => 'Belgium - Provinces', 'value' => 'BE,provinces'),
					array('text' => 'Belize - Provinces', 'value' => 'BZ,provinces'),
					array('text' => 'Benin - Provinces', 'value' => 'BJ,provinces'),
					array('text' => 'Bermuda', 'value' => 'BM,countries'),
					array('text' => 'Bhutan - Provinces', 'value' => 'BT,provinces'),
					array('text' => 'Bolivia, Plurinational State of - Provinces', 'value' => 'BO,provinces'),
					array('text' => 'Bonaire, Sint Eustatius and Saba - Provinces', 'value' => 'BQ,provinces'),
					array('text' => 'Bosnia and Herzegovina - Provinces', 'value' => 'BA,provinces'),
					array('text' => 'Botswana - Provinces', 'value' => 'BW,provinces'),
					array('text' => 'Bouvet Island - Provinces', 'value' => 'BV,countries'),
					array('text' => 'Brazil - Provinces', 'value' => 'BR,provinces'),
					array('text' => 'British Indian Ocean Territory', 'value' => 'IO,countries'),
					array('text' => 'Brunei Darussalam - Provinces', 'value' => 'BN,provinces'),
					array('text' => 'Bulgaria - Provinces', 'value' => 'BG,provinces'),
					array('text' => 'Burkina Faso - Provinces', 'value' => 'BF,provinces'),
					array('text' => 'Burundi - Provinces', 'value' => 'BI,provinces'),
					array('text' => 'Cambodia - Provinces', 'value' => 'KH,provinces'),
					array('text' => 'Cameroon - Provinces', 'value' => 'CM,provinces'),
					array('text' => 'Canada - Provinces', 'value' => 'CA,provinces'),
					array('text' => 'Cape Verde - Provinces', 'value' => 'CV,provinces'),
					array('text' => 'Cayman Islands', 'value' => 'KY,countries'),
					array('text' => 'Central African Republic - Provinces', 'value' => 'CF,provinces'),
					array('text' => 'Chad - Provinces', 'value' => 'TD,provinces'),
					array('text' => 'Chile - Provinces', 'value' => 'CL,provinces'),
					array('text' => 'China - Provinces', 'value' => 'CN,provinces'),
					array('text' => 'Christmas Island', 'value' => 'CX,provinces'),
					array('text' => 'Cocos (Keeling) Islands', 'value' => 'CC,countries'),
					array('text' => 'Colombia - Provinces', 'value' => 'CO,provinces'),
					array('text' => 'Comoros - Provinces', 'value' => 'KM,provinces'),
					array('text' => 'Congo - Provinces', 'value' => 'CG,provinces'),
					array('text' => 'Congo, the Democratic Republic of the - Provinces', 'value' => 'CD,provinces'),
					array('text' => 'Cook Islands', 'value' => 'CK,countries'),
					array('text' => 'Costa Rica - Provinces', 'value' => 'CR,provinces'),
					array('text' => 'Cote d\'Ivoire  - Provinces', 'value' => 'CI,provinces'),
					array('text' => 'Croatia - Provinces', 'value' => 'HR,provinces'),
					array('text' => 'Cuba - Provinces', 'value' => 'CU,provinces'),
					array('text' => 'Curaçao', 'value' => 'CW,countries'),
					array('text' => 'Cyprus - Provinces', 'value' => 'CY,provinces'),
					array('text' => 'Czech Republic - Provinces', 'value' => 'CZ,provinces'),
					array('text' => 'Denmark - Provinces', 'value' => 'DK,provinces'),
					array('text' => 'Djibouti - Provinces', 'value' => 'DJ,provinces'),
					array('text' => 'Dominica - Provinces', 'value' => 'DM,provinces'),
					array('text' => 'Dominican Republic - Provinces', 'value' => 'DO,provinces'),
					array('text' => 'Ecuador - Provinces', 'value' => 'EC,provinces'),
					array('text' => 'Egypt - Provinces', 'value' => 'EG,provinces'),
					array('text' => 'El Salvador - Provinces', 'value' => 'SV,provinces'),
					array('text' => 'Equatorial Guinea - Provinces', 'value' => 'GQ,provinces'),
					array('text' => 'Eritrea - Provinces', 'value' => 'ER,provinces'),
					array('text' => 'Estonia - Provinces', 'value' => 'EE,provinces'),
					array('text' => 'Ethiopia - Provinces', 'value' => 'ET,provinces'),
					array('text' => 'Falkland Islands (Malvinas)', 'value' => 'FK,countries'),
					array('text' => 'Faroe Islands', 'value' => 'FO,countries'),
					array('text' => 'Fiji - Provinces', 'value' => 'FJ,provinces'),
					array('text' => 'Finland - Provinces', 'value' => 'FI,provinces'),
					array('text' => 'France - Provinces', 'value' => 'FR,provinces'),
					array('text' => 'French Guiana', 'value' => 'GF,countries'),
					array('text' => 'French Polynesia', 'value' => 'PF,countries'),
					array('text' => 'French Southern Territories', 'value' => 'TF,countries'),
					array('text' => 'Gabon - Provinces', 'value' => 'GA,provinces'),
					array('text' => 'Gambia - Provinces', 'value' => 'GM,provinces'),
					array('text' => 'Georgia - Provinces', 'value' => 'GE,provinces'),
					array('text' => 'Germany - Provinces', 'value' => 'DE,provinces'),
					array('text' => 'Ghana - Provinces', 'value' => 'GH,provinces'),
					array('text' => 'Gibraltar', 'value' => 'GI,countries'),
					array('text' => 'Greece - Provinces', 'value' => 'GR,provinces'),
					array('text' => 'Greenland - Provinces', 'value' => 'GL,provinces'),
					array('text' => 'Grenada - Provinces', 'value' => 'GD,provinces'),
					array('text' => 'Guadeloupe', 'value' => 'GP,countries'),
					array('text' => 'Guam', 'value' => 'GU,countries'),
					array('text' => 'Guatemala - Provinces', 'value' => 'GT,provinces'),
					array('text' => 'Guernsey', 'value' => 'GG,countries'),
					array('text' => 'Guinea - Provinces', 'value' => 'GN,provinces'),
					array('text' => 'Guinea-Bissau - Provinces', 'value' => 'GW,provinces'),
					array('text' => 'Guyana - Provinces', 'value' => 'GY,provinces'),
					array('text' => 'Haiti - Provinces', 'value' => 'HT,provinces'),
					array('text' => 'Heard Island and McDonald Islands', 'value' => 'HM,countries'),
					array('text' => 'Honduras - Provinces', 'value' => 'HN,provinces'),
					array('text' => 'Hong Kong', 'value' => 'HK,countries'),
					array('text' => 'Hungary - Provinces', 'value' => 'HU,provinces'),
					array('text' => 'Iceland - Provinces', 'value' => 'IS,provinces'),
					array('text' => 'India - Provinces', 'value' => 'IN,provinces'),
					array('text' => 'Indonesia - Provinces', 'value' => 'ID,provinces'),
					array('text' => 'Iran, Islamic Republic of - Provinces', 'value' => 'IR,provinces'),
					array('text' => 'Iraq - Provinces', 'value' => 'IQ,provinces'),
					array('text' => 'Ireland - Provinces', 'value' => 'IE,provinces'),
					array('text' => 'Isle of Man', 'value' => 'IM,countries'),
					array('text' => 'Israel - Provinces', 'value' => 'IL,provinces'),
					array('text' => 'Italy - Provinces', 'value' => 'IT,provinces'),
					array('text' => 'Jamaica - Provinces', 'value' => 'JM,provinces'),
					array('text' => 'Japan - Provinces', 'value' => 'JP,provinces'),
					array('text' => 'Jersey', 'value' => 'JE,countries'),
					array('text' => 'Jordan - Provinces', 'value' => 'JO,provinces'),
					array('text' => 'Kazakhstan - Provinces', 'value' => 'KZ,provinces'),
					array('text' => 'Kenya', 'value' => 'KE,countries'),
					array('text' => 'Kiribati - Provinces', 'value' => 'KI,provinces'),
					array('text' => 'Korea, Democratic People\'s Republic of - Provinces', 'value' => 'KP,provinces'),
					array('text' => 'Korea, Republic of - Provinces', 'value' => 'KR,provinces'),
					array('text' => 'Kuwait - Provinces', 'value' => 'KW,provinces'),
					array('text' => 'Kyrgyzstan - Provinces', 'value' => 'KG,provinces'),
					array('text' => 'Lao People\'s Democratic Republic - Provinces', 'value' => 'LA,provinces'),
					array('text' => 'Latvia - Provinces', 'value' => 'LV,provinces'),
					array('text' => 'Lebanon - Provinces', 'value' => 'LB,provinces'),
					array('text' => 'Lesotho - Provinces', 'value' => 'LS,provinces'),
					array('text' => 'Liberia - Provinces', 'value' => 'LR,provinces'),
					array('text' => 'Libya - Provinces', 'value' => 'LY,provinces'),
					array('text' => 'Liechtenstein - Provinces', 'value' => 'LI,provinces'),
					array('text' => 'Lithuania - Provinces', 'value' => 'LT,provinces'),
					array('text' => 'Luxembourg - Provinces', 'value' => 'LU,provinces'),
					array('text' => 'Macao', 'value' => 'MO,countries'),
					array('text' => 'Macedonia, the former Yugoslav Republic of - Provinces', 'value' => 'MK,provinces'),
					array('text' => 'Madagascar - Provinces', 'value' => 'MG,provinces'),
					array('text' => 'Malawi - Provinces', 'value' => 'MW,provinces'),
					array('text' => 'Malaysia - Provinces', 'value' => 'MY,provinces'),
					array('text' => 'Maldives - Provinces', 'value' => 'MV,provinces'),
					array('text' => 'Mali - Provinces', 'value' => 'ML,provinces'),
					array('text' => 'Malta', 'value' => 'MT,countries'),
					array('text' => 'Marshall Islands - Provinces', 'value' => 'MH,provinces'),
					array('text' => 'Martinique', 'value' => 'MQ,countries'),
					array('text' => 'Mauritania - Provinces', 'value' => 'MR,provinces'),
					array('text' => 'Mauritius - Provinces', 'value' => 'MU,provinces'),
					array('text' => 'Mayotte', 'value' => 'YT,countries'),
					array('text' => 'Mexico - Provinces', 'value' => 'MX,provinces'),
					array('text' => 'Micronesia, Federated States of - Provinces', 'value' => 'FM,provinces'),
					array('text' => 'Moldova, Republic of - Provinces', 'value' => 'MD,provinces'),
					array('text' => 'Monaco', 'value' => 'MC,countries'),
					array('text' => 'Mongolia - Provinces', 'value' => 'MN,provinces'),
					array('text' => 'Montenegro - Provinces', 'value' => 'ME,provinces'),
					array('text' => 'Montserrat', 'value' => 'MS,countries'),
					array('text' => 'Morocco - Provinces', 'value' => 'MA,provinces'),
					array('text' => 'Mozambique - Provinces', 'value' => 'MZ,provinces'),
					array('text' => 'Myanmar - Provinces', 'value' => 'MM,provinces'),
					array('text' => 'Namibia - Provinces', 'value' => 'NA,provinces'),
					array('text' => 'Nauru - Provinces', 'value' => 'NR,provinces'),
					array('text' => 'Nepal - Provinces', 'value' => 'NP,provinces'),
					array('text' => 'Netherlands - Provinces', 'value' => 'NL,provinces'),
					array('text' => 'New Caledonia', 'value' => 'NC,countries'),
					array('text' => 'New Zealand - Provinces', 'value' => 'NZ,provinces'),
					array('text' => 'Nicaragua - Provinces', 'value' => 'NI,provinces'),
					array('text' => 'Niger - Provinces', 'value' => 'NE,provinces'),
					array('text' => 'Nigeria - Provinces', 'value' => 'NG,provinces'),
					array('text' => 'Niue', 'value' => 'NU,countries'),
					array('text' => 'Norfolk Island', 'value' => 'NF,countries'),
					array('text' => 'Northern Mariana Islands', 'value' => 'MP,countries'),
					array('text' => 'Norway - Provinces', 'value' => 'NO,provinces'),
					array('text' => 'Oman - Provinces', 'value' => 'OM,provinces'),
					array('text' => 'Pakistan - Provinces', 'value' => 'PK,provinces'),
					array('text' => 'Palau - Provinces', 'value' => 'PW,provinces'),
					array('text' => 'Palestinian Territory, Occupied', 'value' => 'PS,countries'),
					array('text' => 'Panama - Provinces', 'value' => 'PA,provinces'),
					array('text' => 'Papua New Guinea - Provinces', 'value' => 'PG,provinces'),
					array('text' => 'Paraguay - Provinces', 'value' => 'PY,provinces'),
					array('text' => 'Peru - Provinces', 'value' => 'PE,provinces'),
					array('text' => 'Philippines - Provinces', 'value' => 'PH,provinces'),
					array('text' => 'Pitcairn', 'value' => 'PN,countries'),
					array('text' => 'Poland - Provinces', 'value' => 'PL,provinces'),
					array('text' => 'Portugal - Provinces', 'value' => 'PT,provinces'),
					array('text' => 'Puerto Rico', 'value' => 'PR,countries'),
					array('text' => 'Qatar - Provinces', 'value' => 'QA,provinces'),
					array('text' => 'Reunion !Réunion', 'value' => 'RE,countries'),
					array('text' => 'Romania - Provinces', 'value' => 'RO,provinces'),
					array('text' => 'Russian Federation - Provinces', 'value' => 'RU,provinces'),
					array('text' => 'Rwanda - Provinces', 'value' => 'RW,provinces'),
					array('text' => 'Saint Barthélemy', 'value' => 'BL,countries'),
					array('text' => 'Saint Helena, Ascension and Tristan da Cunha - Provinces', 'value' => 'SH,provinces'),
					array('text' => 'Saint Kitts and Nevis - Provinces', 'value' => 'KN,provinces'),
					array('text' => 'Saint Lucia - Provinces', 'value' => 'LC,provinces'),
					array('text' => 'Saint Martin (French part)', 'value' => 'MF,countries'),
					array('text' => 'Saint Pierre and Miquelon', 'value' => 'PM,countries'),
					array('text' => 'Saint Vincent and the Grenadines - Provinces', 'value' => 'VC,provinces'),
					array('text' => 'Samoa', 'value' => 'WS,countries'),
					array('text' => 'San Marino - Provinces', 'value' => 'SM,provinces'),
					array('text' => 'Sao Tome and Principe - Provinces', 'value' => 'ST,provinces'),
					array('text' => 'Saudi Arabia - Provinces', 'value' => 'SA,provinces'),
					array('text' => 'Senegal - Provinces', 'value' => 'SN,provinces'),
					array('text' => 'Serbia - Provinces', 'value' => 'RS,provinces'),
					array('text' => 'Seychelles - Provinces', 'value' => 'SC,provinces'),
					array('text' => 'Sierra Leone - Provinces', 'value' => 'SL,provinces'),
					array('text' => 'Singapore', 'value' => 'SG,countries'),
					array('text' => 'Sint Maarten (Dutch part)', 'value' => 'SX,countries'),
					array('text' => 'Slovakia - Provinces', 'value' => 'SK,provinces'),
					array('text' => 'Slovenia - Provinces', 'value' => 'SI,provinces'),
					array('text' => 'Solomon Islands - Provinces', 'value' => 'SB,provinces'),
					array('text' => 'Somalia - Provinces', 'value' => 'SO,provinces'),
					array('text' => 'South Africa - Provinces', 'value' => 'ZA,provinces'),
					array('text' => 'South Georgia and the South Sandwich Islands', 'value' => 'GS,countries'),
					array('text' => 'South Sudan - Provinces', 'value' => 'SS,provinces'),
					array('text' => 'Spain - Provinces', 'value' => 'ES,provinces'),
					array('text' => 'Sri Lanka - Provinces', 'value' => 'LK,provinces'),
					array('text' => 'Sudan - Provinces', 'value' => 'SD,provinces'),
					array('text' => 'Suritext - Provinces', 'value' => 'SR,provinces'),
					array('text' => 'Svalbard and Jan Mayen', 'value' => 'SJ,countries'),
					array('text' => 'Swaziland - Provinces', 'value' => 'SZ,provinces'),
					array('text' => 'Sweden - Provinces', 'value' => 'SE,provinces'),
					array('text' => 'Switzerland - Provinces', 'value' => 'CH,provinces'),
					array('text' => 'Syrian Arab Republic - Provinces', 'value' => 'SY,provinces'),
					array('text' => 'Taiwan, Province of China', 'value' => 'TW,countries'),
					array('text' => 'Tajikistan - Provinces', 'value' => 'TJ,provinces'),
					array('text' => 'Tanzania, United Republic of - Provinces', 'value' => 'TZ,provinces'),
					array('text' => 'Thailand - Provinces', 'value' => 'TH,provinces'),
					array('text' => 'Timor-Leste - Provinces', 'value' => 'TL,provinces'),
					array('text' => 'Togo - Provinces', 'value' => 'TG,provinces'),
					array('text' => 'Tokelau', 'value' => 'TK,countries'),
					array('text' => 'Tonga - Provinces', 'value' => 'TO,provinces'),
					array('text' => 'Trinidad and Tobago - Provinces', 'value' => 'TT,provinces'),
					array('text' => 'Tunisia - Provinces', 'value' => 'TN,provinces'),
					array('text' => 'Turkey - Provinces', 'value' => 'TR,provinces'),
					array('text' => 'Turkmenistan - Provinces', 'value' => 'TM,provinces'),
					array('text' => 'Turks and Caicos Islands', 'value' => 'TC,countries'),
					array('text' => 'Tuvalu - Provinces', 'value' => 'TV,provinces'),
					array('text' => 'Uganda - Provinces', 'value' => 'UG,provinces'),
					array('text' => 'Ukraine - Provinces', 'value' => 'UA,provinces'),
					array('text' => 'United Arab Emirates - Provinces', 'value' => 'AE,provinces'),
					array('text' => 'United Kingdom - Provinces', 'value' => 'GB,provinces'),
					array('text' => 'United States - Provinces', 'value' => 'US,provinces'),
					array('text' => 'United States Minor Outlying Islands', 'value' => 'UM,countries'),
					array('text' => 'Uruguay - Provinces', 'value' => 'UY,provinces'),
					array('text' => 'Uzbekistan - Provinces', 'value' => 'UZ,provinces'),
					array('text' => 'Vanuatu - Provinces', 'value' => 'VU,provinces'),
					array('text' => 'Venezuela, Bolivarian Republic of - Provinces', 'value' => 'VE,provinces'),
					array('text' => 'Viet Nam - Provinces', 'value' => 'VN,provinces'),
					array('text' => 'Virgin Islands, British', 'value' => 'VG,countries'),
					array('text' => 'Virgin Islands, U.S.', 'value' => 'VI,countries'),
					array('text' => 'Wallis and Futuna', 'value' => 'WF,countries'),
					array('text' => 'Western Sahara', 'value' => 'EH,countries'),
					array('text' => 'Yemen - Provinces', 'value' => 'YE,provinces'),
					array('text' => 'Zambia - Provinces', 'value' => 'ZM,provinces'),
					array('text' => 'Zimbabwe - Provinces', 'value' => 'ZW,provinces'),


					
				);
            return $regions;
              
        }				
}  
