<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_linkymap/assets/css/linkymap.css');
?>
<?php
  //$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
         $document->addScript('http://www.google.com/jsapi');
        require_once(JPATH_COMPONENT_ADMINISTRATOR."/assets/js/linkymap.php");
	$document->addStyleSheet('components/com_linkymap/assets/bootstrap/select/select2.css');
	 $document->addScript('components/com_linkymap/assets/bootstrap/select/select2.js');
	$document->addScript("http://maps.googleapis.com/maps/api/js?sensor=true&libraries=places");
?>

<script type="text/javascript">
    
    
	Joomla.submitbutton = function(task)
	{
        if(task == 'map.cancel'){
            Joomla.submitform(task, document.getElementById('map-form'));
        }
        
		if (document.formvalidator.isValid(document.id('map-form'))) {
			Joomla.submitform(task, document.getElementById('map-form'));
		}
		else if(task != 'map.cancel') {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}

</script>

<form action="<?php echo JRoute::_('index.php?option=com_linkymap&layout=edit&id='.(int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="map-form" class="form-validate">
	<div class="row-fluid">
		<div class="span8 form-horizontal">
            <fieldset class="adminform">
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('name'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('name'); ?></div>
			</div>

			<div class="control-group">
							<div class="control-label"><?php echo $this->form->getLabel('alias'); ?></div>
							<div class="controls"><?php echo $this->form->getInput('alias'); ?></div>
						</div>
			
			<?php if($this->displayMode=="markers") { ?>
			
			<div class="control-group">
							<div class="control-label"><?php echo $this->form->getLabel('displaytype'); ?></div>
							<div class="controls"> <?php echo str_replace('<select','<select onchange="updateMap()" ',$this->form->getInput('displaytype')); ?></div>
						</div>
			<?php } ?>
			<div class="control-group">
				  <h3><?php if($this->displayMode!="markers") { ?><?php echo JText::_('COM_LINKY_TITLE_REGION')?> <?php } else {?>
				    <?php echo JText::_('COM_LINKY_TITLE_MARKER')?>
				    <?php } ?></h3>
			</div>
			<div class="control-group"><div class="control-label">
				<?php echo $this->form->getLabel('region'); ?>
				  
			</div>
							<div class="controls">
				 <?php echo str_replace('<select','<select onchange="updateMap()" style="width:300px"',$this->form->getInput('region')); ?>
                             
				  </div>
						</div>
				  <input type="hidden" name="jform[display_mode]" id="jform_display_mode" value="<?php echo $this->displayMode?>">
			     <?php if($this->displayMode!="markers") { ?>  <div id="linkymaphelper" class="alert alert-success"></div><?php } ?>
			     	
				    <div id="simple-table" style="display: block;">

		<div class="control-group">
				<div class="control-label"><?php if($this->displayMode!="markers") { ?><?php echo JText::_('COM_LINKY_TITLE_REGION')?> <?php } else {?>
				    <?php echo JText::_('COM_LINKY_TITLE_MARKER')?>
				    <?php } ?>*: </div>
				<div class="controls"><?php if($this->displayMode=="markers") { ?>
				<input type="text"  id="region" name="region" class="span7" onblur="geocode(-1);"><input class="button btn" value="geocode" onClick="geocode(-1);" type="button"/>
				<br/>
				Latitude:<input type="text"  id="latitude" name="latitude" class="span2">
				Longitude:<input type="text"  id="longitude" name="longitude" class="span2"><br/>
				
				<?php } else {?>
				<input type="text"  id="region" name="region" class="span7" >
				<?php } ?>
				
				</div></div>
		
		
		<div class="control-group">
				<div class="control-label"><?php echo JText::_('COM_LINKY_TITLE_TITLE')?>*: </div>
				<div class="controls"><input type="text"  id="title" name="title" class="span7">
				</div></div>
		<div class="control-group">
				<div class="control-label"><?php echo JText::_('COM_LINKY_TITLE_TOOLTIP')?>*: </div>
				<div class="controls"><textarea type="text"  id="tooltip" name="tooltip" class="myTextEditor"></textarea>
				</div></div>
		
		<div class="control-group" id="action_div" style="margin:20px 0px;">
				<div class="control-label" id="action_label"><?php echo JText::_('COM_LINKY_TITLE_ACTION')?>: </div>
				<div class="controls" id="action_input"><input type="text"  id="url" name="url">
				</div></div>
		
		<div class="control-group">
				<div class="control-label"><?php echo JText::_('COM_LINKY_TITLE_COLOR')?>: </div>
				<div class="controls"><input type="text" value="#438094" class="color {hash:true, adjust:false}" size="15" id="color" name="color" autocomplete="off" style="background-image: none; background-color: rgb(67, 128, 148); color: rgb(255, 255, 255);">
				</div></div>
		
				<div class="control-group">
				<div class="control-label">
				<input type="button" onclick="addLinkyRegion();" value="<?php echo JText::_('COM_LINKY_ADD'); ?>" class="btn btn-primary">
				</div></div>
				
            <div id="linkyTable"><table class="linkyMapTable table table-bordered">
<tbody><tr><th><?php if($this->displayMode!="markers") { ?><?php echo JText::_('COM_LINKY_TITLE_REGION')?> <?php } else {?>
				    <?php echo JText::_('COM_LINKY_TITLE_MARKER')?>
				    <?php } ?></th><th><?php echo JText::_('COM_LINKY_TITLE_TITLE')?></th><th><?php echo JText::_('COM_LINKY_TITLE_TOOLTIP')?></th><th><?php echo JText::_('COM_LINKY_TITLE_ACTION')?></th><th><?php echo JText::_('COM_LINKY_TITLE_COLOR')?></th><th>&nbsp;</th></tr>
</tbody></table>
</div>
				    
			
				    </div>
          <div style="display:none">	<?php echo $this->form->getInput('places'); ?>
                      </div>				<div id="visualization-wrap"><div id="visualization_map"></div>
                                 <div class="clr"></div>
				
		
          		</div>
            </fieldset>
    	</div>
        
        <div class="span4 form-horizontal">
			<div class="control-group">
				<div class="control-label">
				 <?php echo $this->form->getLabel('map_action'); ?>
				</div>
				<div class="controls">
				     <?php echo str_replace('<select','<select onchange="updateMap()" ',$this->form->getInput('map_action')); ?>
			</div>
			
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('bg_color'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('bg_color'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('border_color'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('border_color'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('border_stroke'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('border_stroke'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('map_bordercolor'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('map_bordercolor'); ?></div>
			</div>
		
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('ina_color'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('ina_color'); ?></div>
			</div>
			
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('hover_color'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('hover_color'); ?></div>
			</div>
		
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('marker_size'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('marker_size'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('responsive'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('responsive'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('width'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('width'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('height'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('height'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('state'); ?></div>
			</div>
		<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('language'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('language'); ?></div>
			</div>
		</div>

        <input type="hidden" name="task" value="" />
	       <input type="hidden" id="display" name="display" value="<?php echo $this->displayMode; ?>" />
        <?php echo JHtml::_('form.token'); ?>
        
    </div>
</form>