<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */
 
// No direct access
defined('_JEXEC') or die('Restricted access');

//Maybe it is possible to set this within the xml file note by Max Milbers
@ini_set( 'memory_limit', '32M' );
@ini_set( 'max_execution_time', '120' );

jimport( 'joomla.application.component.model');

defined('DS') or define('DS', DIRECTORY_SEPARATOR);

    jimport('joomla.installer.installer');
    /**
	 * Linkymapcustom installer class
	 */
	class com_linkymapInstallerScript {  
	    function postflight($type, $parent)
	  {
          $db = JFactory::getDBO();
		  $fields = $db->getTableColumns('#__linkymap_map');
		  
		   if (!array_key_exists('language', $fields))
		  {
		     $query = "ALTER TABLE #__linkymap_map ADD `language` char(7) NOT NULL DEFAULT ''  AFTER `created_by`";
		      $db->setQuery($query); 
		      $db->query();
		  }
		  if (!array_key_exists('responsive', $fields))
		  {
		     $query = "ALTER TABLE #__linkymap_map ADD `responsive`  int(11) DEFAULT '1'  AFTER `created_by`";
		      $db->setQuery($query); 
		      $db->query();
		  }
		   if (!array_key_exists('displaytype', $fields))
		  {
		     $query = "ALTER TABLE #__linkymap_map ADD `displaytype` char(7) NOT NULL DEFAULT ''  AFTER `created_by`";
		      $db->setQuery($query); 
		      $db->query();
		  }
		   if (!array_key_exists('map_bordercolor', $fields)) {
            $query = "ALTER TABLE #__linkymap_map ADD `map_bordercolor` varchar(255) NOT NULL  AFTER `border_stroke`";
            $db->setQuery($query);
            $db->query();
	    }
		  if (!array_key_exists('hover_color', $fields))
		  {
		     $query = "ALTER TABLE #__linkymap_map ADD `hover_color` char(7) NOT NULL DEFAULT ''  AFTER `map_bordercolor`";
		      $db->setQuery($query); 
		      $db->query();
		  }
	   
	    $manifest = $parent->get('manifest');
          $extensions = $manifest->extensions;
           JLoader::register('InstallerHelper', JPATH_ADMINISTRATOR . '/components/com_linkymap/helpers/installer.php');
           foreach($extensions->children() as $extension){
                        $folder = $extension->attributes()->folder;
                        $enable = $extension->attributes()->enable;
                        if(InstallerHelper::install(JPATH_ADMINISTRATOR.'/components/com_linkymap/extensions/'.$folder,$enable)){
    //                        JFile::delete(JPATH_ADMINISTRATOR.'/components/com_sponsorshipreward/extensions/'.$folder);
                            echo '<img src="'. JURI::root().'/components/com_linkymap/assets/images/tick.png" />'.$folder.' : '.JText::sprintf('OK','').'<br/>';
                        }else{
                            echo '<img src="'. JURI::root().'/components/com_linkymap/assets/images/exclamation.png" />'.$folder.' : '.JText::sprintf('Not OK','').'<br/>';
                        }
                }  
		  
	}
	
    function uninstall($parent)
        {
        $db = JFactory::getDBO();
        $status = new stdClass;
        $status->modules = array();
        $status->plugins = array();
        $manifest = $parent->get('manifest');
        $extensions = $manifest->extensions;
        
        foreach($extensions->children() as $plugin)
        {
            $group = (string)$plugin->attributes()->group;
	    $element=(string)$plugin->attributes()->element;
	    $type=(string)$plugin->attributes()->type;
            $query = "SELECT `extension_id` FROM #__extensions WHERE element = ".$db->Quote($element)." AND folder=".$db->Quote($group);
            $db->setQuery($query);
            $extensions = $db->loadColumn();
	    if (count($extensions))
            {
                foreach ($extensions as $id)
                {
                    $installer = new JInstaller;
                    $result = $installer->uninstall($type, $id);
                }
            
            }
            
        }
        }
        
    
        /**
        * Method to get the version of a component
        * @param string $option
        * @return null
        */
        private function getVersion($option){
                $manifest = self::getManifest($option);
                if(property_exists($manifest, 'version')){
                         return $manifest->version;
                }
                return null;
        }
        
        /**
        * Method to get an object containing the manifest values
        * @param string $option
        * @return object
        */
        private function getManifest($option){
//                $component = JComponentHelper::getComponent($option);
                $dbo = JFactory::getDbo();
                $query = 'SELECT extension_id FROM #__extensions WHERE element='.$dbo->quote($option).' AND type="component"';
                if(!$dbo->setQuery($query)){
                    return false;
                }
                if(!$dbo->query()){
                    return false;
                }
                $component = $dbo->loadResult();
                if(!$component){
                    return false;
                }
                $table	= JTable::getInstance('extension');
                // Load the previous Data
                if (!$table->load($component,false)) {
                         return false;
                }
                return json_decode($table->manifest_cache);
        }

	  
        }
                
   