<?php
/**
 * PHP install file for Linky Map.
 * Install the plugins and do some upgrade stuff.
 *
 * We developed this code with our hearts and passion.
 * We hope you found it useful, easy to understand and change.
 * Otherwise, please feel free to contact us at contact@joomunited.com
 *
 * @package   com_linkymap
 * @copyright  Copyright (C) 2012 JoomUnited (http://www.joomunited.com). All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die;

abstract class LinkymapHelpers
{
	public static function createMap($item,$height="",$width="",$sidebarheight="",$sidebarwidth="")
	{
            if(empty($item->id))
		{
			JFactory::getApplication()->enqueueMessage(JTEXT::_('COM_LINKY_UNPUBLISH'), 'error');
			return;
		}
		$app	= JFactory::getApplication();
                $document=JFactory::getDocument();
		 $param=JComponentHelper::getParams('com_linkymap');
		$mapdata = $item;
		$id=$item->id;
		$places = json_decode($mapdata->places);
		$colors ="";
		$url="";
		$width="600";
		$height="400";
		
		if(empty($sidebarwidth))
		{
		$sidebarwidth=JRequest::getVar('sidebarwidth',$param->get('sidebar_width','30%'));
		
		}
		$sidebarwidth=intval($sidebarwidth);
		if($sidebarwidth>50)
		{
			$sidebarwidth=50;
		}
		$s=rand();
               
		$ssl=$param->get('ssl',1);
		$modal_height=$param->get('modal_height',600);
		$modal_width=$param->get('modal_width',400);
		$hidezoom=$param->get('hidezoom',false);
		$mapdata->ina_color=strtolower($mapdata->ina_color);
		$styledec="#linkymap_".$s." path {
		stroke-width:1; 
		stroke:".$mapdata->map_bordercolor."; }
		#linkycontrols {
            background: url('".JURI::base()."components/com_linkymap/assets/images/linkycontrols.png') repeat scroll 0 0 rgba(0, 0, 0, 0);
            height: 132px;
            left: 5px;
            position: absolute;
            top: 5px;
            width: 58px;
            z-index: 9;
        }
        
        #compass {
            height: 54px;
            left: 2px;
            position: absolute;
            top: 0;
            width: 54px;
        }
        
        #pan_up {
            left: 18px;
            top: 0;
        }
        
        #pan_lt {
            left: 0;
            top: 18px;
        }
        
        #pan_rt {
            left: 36px;
            top: 18px;
        }
        
        #pan_down {
            left: 18px;
            top: 36px;
        }
        
        #zoom {
            height: 62px;
            left: 19px;
            position: absolute;
            top: 66px;
            width: 20px;
        }
        
        #zoom_in {
            left: 0;
            top: 0;
        }
        
        #zoom_out {
            left: 0;
            top: 42px;
        }
        
        #pan_up,
        #pan_lt,
        #pan_rt,
        #pan_down,
        #zoom_in,
        #zoom_out {
            cursor: pointer;
            position: absolute;
            height: 18px;
            width: 18px;
        }
	#linkymap_div_".$s."
	{
		overflow: hidden;
		position: relative;
	}
	.google-visualization-tooltip img{
	max-width:200px;
	max-height:200px;
	}
	@media screen and (max-width:480px)
	{
		.google-visualization-tooltip img{
		max-width:50px;
		max-height:50px;
	}
	}	";
		if($item->display_mode=="markers")
		{
			$styledec.="#linkymap_".$s."  circle:hover {";
		}
		else
		{
		$styledec.="#linkymap_".$s." path:not([fill^='".$mapdata->ina_color."']):hover  {";
		}
		if(isset($mapdata->hover_color))
		{
			
			$styledec.="fill:".$mapdata->hover_color.";";
			
		}
		$styledec.="cursor:pointer;
			}";
		
		if($hidezoom)
		{
			$styledec.="
			#linkymap_div_".$s." #linkycontrols {
				display:none;
			}
			";
		}
		JHtml::_('jquery.framework');
		if($ssl==1)
		{
                $document->addScript('http://www.google.com/jsapi');
		}
		else
		{
		$document->addScript('https://www.google.com/jsapi');	
		}
		if($mapdata->map_action== 'html_sidebar') 
		{
		
		$document->addStyleSheet(JURI::base().'components/com_linkymap/assets/css/jquery.mCustomScrollbar.css');
		 $document->addScript(JURI::base().'components/com_linkymap/assets/js/jquery.mCustomScrollbar.js');
		}
		$map="";
	$script="";
	$script.='var mapdata_'.$mapdata->id.' = new Array();';
	$script.="google.load('visualization', '1', {packages: ['geomap']});";
  	$script.='google.setOnLoadCallback(drawMap_'.$s.');';
	$script.= "function drawMap_".$s."()
	{
	var data = new google.visualization.DataTable();";
	
	if($item->display_mode=="markers")
	{
		$script.="data.addColumn('number', 'Lat');
		data.addColumn('number', 'Lon');
		data.addColumn('string', 'Country');";
	}
	else
	{
	$script.="data.addColumn('string', 'Country');";
	}
	$script.="data.addColumn('number', ' ');";
	$script.="data.addColumn({type:'string', role:'tooltip', p:{html:true}});";
			$i = 0;
			foreach ($places as $place) {
				if($mapdata->map_action=='html_sidebar')
				{
					$formatedactionv  ="<h2>".LinkymapHelpers::formatJavascript($places[$i]->title)."</h2>".LinkymapHelpers::formatJavascript(JHtml::_('content.prepare',"<!--{emailcloak=off}-->".$places[$i]->action));
				}
				else
				{
			$formatedactionv  = LinkymapHelpers::addhttp(trim($places[$i]->action));
					
				}
			$places[$i]->tooltip=LinkymapHelpers::formatJavascript($places[$i]->tooltip);
			$url.='mapdata_'.$mapdata->id.'["'.trim($places[$i]->code).'"] = "'.$formatedactionv.'";';
			$colors .= "'".trim($places[$i]->color)."',";
			if(empty($places[$i]->title))
			{
				$title=LinkymapHelpers::formatJavascript($places[$i]->code);
			}
			else
			{
				$title=LinkymapHelpers::formatJavascript($places[$i]->title);
			}
			if($item->display_mode=="markers")
			{
			if(!(is_numeric (@$places[$i]->latitude)&&(is_numeric (@$places[$i]->longitude))))
				{
					
					$data=LinkymapHelpers::getLatLongFromPostcode($places[$i]->code);
								$script.="data.addRows([[".$data['lat'].",".$data['lang'].",{'v':'".$places[$i]->code."','f':'".$title."'},{'v':".$i.",'f':'".$places[$i]->tooltip."'},'".$places[$i]->tooltip."' ]]);";

				}
				else
				{
								$script.="data.addRows([[".$places[$i]->latitude.",".$places[$i]->longitude.",{'v':'".$places[$i]->code."','f':'".$title."'},{'v':".$i.",'f':'".$places[$i]->tooltip."'},'".$places[$i]->tooltip."' ]]);";

				}
			}
			else {
			$script.="data.addRows([[{'v':'".$places[$i]->code."','f':'".$title."'},{'v':".$i.",'f':'".$places[$i]->tooltip."'},'".$places[$i]->tooltip."' ]]);";	
			}
			$i++;
	}
	
		$count=$i+1;
		$areashow = explode(",", $mapdata->region);
		$region = $areashow[0];
		$resolution = $areashow[1];
        // create chart object
	if($mapdata->display_mode=="markers")
	{
		if(!empty($mapdata->displaytype))
		{
		$mapdata->display_mode=$mapdata->displaytype;
		}
	}
	
       $script.= " var chart = new google.visualization.GeoChart(
             document.getElementById('linkymap_".$s."'));
		var linkymap_".$s."mS = 10 * linkymap_".$s."bW / ".$width.";


        // set options for this chart
        var options =
        {
             
                width: linkymap_".$s."mW,
                height: linkymap_".$s."mH,
              region:         '".$region."',
              resolution:     '".$resolution."',
              colorAxis: { colors: [".$colors."] },
	      backgroundColor: {fill:'".$mapdata->bg_color."',stroke:'".$mapdata->border_color."' ,strokeWidth:".$mapdata->border_stroke." },
	      datalessRegionColor: '".$mapdata->ina_color."',
	      displayMode: '".$mapdata->display_mode."',
	      sizeAxis: {minValue: 0, maxValue:".$count.",minSize:".$mapdata->marker_size.",  maxSize: ".$mapdata->marker_size."},
	      tooltip: {
            isHtml: true
		},
              legend: 'none'
        };
	
        // draw chart
	google.visualization.events.addListener(chart, 'select', function() {
		var selection = chart.getSelection();
		var mapdata_".$mapdata->id."=new Array();;
	".$url."    	if (selection.length == 1) {
			var selectedRow = selection[0].row;";
		if(($item->display_mode=="markers")||($item->display_mode=="text"))
			{
         $script.= "var selectedRegion = data.getValue(selectedRow, 2);";
			}
			else
			{
		$script.= "var selectedRegion = data.getValue(selectedRow, 0);";		
			}
		if($mapdata->map_action== 'html_sidebar') 
		{
			$script.= 'if(mapdata_'.$mapdata->id.'[selectedRegion].length >= 1) { 
				document.getElementById("sidebar_'.$s.'").innerHTML = mapdata_'.$id.'[selectedRegion];
				createScroll'.$s.'();
				}';
		}
		if($mapdata->map_action== 'open_url') {	
		$script.= 'if(mapdata_'.$mapdata->id.'[selectedRegion].length >= 1) { 
				document.location = mapdata_'.$id.'[selectedRegion]; 
				}';
		}
		
		if($mapdata->map_action == 'open_urlnew') {
		$script.='if(mapdata_'.$mapdata->id.'[selectedRegion].length >= 1) { 
				window.open(mapdata_'.$id.'[selectedRegion]); 
				}';
		}
		if($mapdata->map_action == 'modal') {
			$map.=JHTML::_('behavior.modal', "a.modal"); 
		$script.='if(mapdata_'.$mapdata->id.'[selectedRegion].length >= 1) { 
			SqueezeBox.open(mapdata_'.$id.'[selectedRegion],{handler:"iframe",size: {x: '.$modal_width.', y: '.$modal_height.'}});
				}';
		}
	$script.= "	} });
        chart.draw( data, options );
        
    };
";
if($mapdata->map_action== 'html_sidebar') 
		{
$script.= "(function($){
			$(window).load(function(){
		createScroll".$s."();		
			});
		})(jQuery);
		function createScroll".$s."()
		{
			var jq= jQuery.noConflict();
			jq('#sidebar_".$s."').mCustomScrollbar({
					scrollButtons:{
						enable:true
					},
					theme:'dark-thick'
				});
		}";

  
		}
		$document->addStyleDeclaration($styledec);
		$document->addScriptDeclaration($script);
	
	if($mapdata->map_action== 'html_sidebar') 
	{
		$map.="<section id='section_".$s."'>";
		$map.="<div style='width:".(100-$sidebarwidth)."%;float:left;'><div id='linkymap_div_".$s."'> <div id='linkycontrols'>
            <div id='compass'>
                <div title='Pan Up' id='pan_up' onclick='linkymap_".$s."u();'></div>
                <div title='Pan Left' id='pan_lt' onclick='linkymap_".$s."l();'></div>
                <div title='Pan Right' id='pan_rt' onclick='linkymap_".$s."r();'></div>
                <div title='Pan Down' id='pan_down' onclick='linkymap_".$s."d();'></div>
            </div>
            <div id='zoom'>
                <div title='Zoom In' id='zoom_in' onclick='linkymap_".$s."zO_p();'></div>
                <div title='Zoom Out' id='zoom_out' onclick='linkymap_".$s."zO_m();'></div>
            </div>
        </div><div id='linkymap_".$s."' class='linkymap_".$s."".$item->id."' style='position:absolute'></div>";		
		$map.="</div></div>";
		$map.='<div id="sidebar_'.$s.'" style="width:'.$sidebarwidth.'%;height:'.$sidebarheight.';float:left;overflow:auto;"><h2>'.$places[0]->title.'</h2>'.JHtml::_('content.prepare',$places[0]->action).'</div>';
		$map.="</div>";
	}
	else
	{
		
		$map.="<section id='section_".$s."'><div id='linkymap_div_".$s."'><div id='linkycontrols'>
            <div id='compass'>
                <div title='Pan Up' id='pan_up' onclick='linkymap_".$s."u();'></div>
                <div title='Pan Left' id='pan_lt' onclick='linkymap_".$s."l();'></div>
                <div title='Pan Right' id='pan_rt' onclick='linkymap_".$s."r();'></div>
                <div title='Pan Down' id='pan_down' onclick='linkymap_".$s."d();'></div>
            </div>
            <div id='zoom'>
                <div title='Zoom In' id='zoom_in' onclick='linkymap_".$s."zO_p();'></div>
                <div title='Zoom Out' id='zoom_out' onclick='linkymap_".$s."zO_m();'></div>
            </div>
        </div><div id='linkymap_".$s."' class='linkymap_".$s."".$item->id."' style='position:absolute;'></div></div>";
		
	}
	
	$map.="<script>
        var linkymap_".$s."bW = ".$width.";
            linkymap_".$s."bH = ".$height.";
        var linkymap_".$s."div = document.getElementById('linkymap_".$s."'),
            linkymap_".$s."mW = linkymap_".$s."bW,
            linkymap_".$s."mH = linkymap_".$s."bH,
            linkymap_".$s."cPX, linkymap_".$s."cPY, linkymap_".$s."tD = 0,
            linkymap_".$s."X = 0,
            linkymap_".$s."Y = 0,
            linkymap_".$s."eS = null,
            linkymap_".$s."D, linkymap_".$s."cMW, linkymap_".$s."cMH, linkymap_".$s."rX = 0,
            linkymap_".$s."rY = 0,
            linkymap_".$s."oX, linkymap_".$s."oY, linkymap_".$s."dT, linkymap_".$s."dL, linkymap_".$s."cX, linkymap_".$s."cY, linkymap_".$s."mCX, linkymap_".$s."mCY, linkymap_".$s."zVX, linkymap_".$s."zVY, linkymap_".$s."mDX, linkymap_".$s."mDY, linkymap_".$s."mUX, linkymap_".$s."mUY;

        function linkymap_".$s."zO(e) {
            e = e ? e : window.e;
            linkymap_".$s."D = e.detail ? e.detail / -3 : e.wheelDelta / 120;
            linkymap_".$s."tD += linkymap_".$s."D;
            e.stopPropagation && e.stopPropagation();
            e.preventDefault && e.preventDefault();
            linkymap_".$s."eS && window.clearTimeout(linkymap_".$s."eS);
            var rect = linkymap_".$s."div.getBoundingClientRect();
            linkymap_".$s."cPX = e.clientX - rect.left;
            linkymap_".$s."cPY = e.clientY - rect.top;
            linkymap_".$s."eS = window.setTimeout(linkymap_".$s."zOh, 250);
        }

        function linkymap_".$s."zOh() {
            linkymap_".$s."Y = linkymap_".$s."div.style.top;
            linkymap_".$s."X = linkymap_".$s."div.style.left;
            linkymap_".$s."Y = linkymap_".$s."Y.replace('px', '');
            linkymap_".$s."X = linkymap_".$s."X.replace('px', '');
            linkymap_".$s."cMW = linkymap_".$s."mW;
            linkymap_".$s."cMH = linkymap_".$s."mH;
            linkymap_".$s."rX = linkymap_".$s."X;
            linkymap_".$s."rY = linkymap_".$s."Y;
            linkymap_".$s."zVX = linkymap_".$s."bW / 12;
            linkymap_".$s."zVY = linkymap_".$s."bH * linkymap_".$s."zVX / linkymap_".$s."bW;
            linkymap_".$s."mW += linkymap_".$s."tD * linkymap_".$s."zVX * 2;
            linkymap_".$s."mH += linkymap_".$s."tD * linkymap_".$s."zVY * 2;
            linkymap_".$s."X = linkymap_".$s."rX - linkymap_".$s."mW * linkymap_".$s."cPX / linkymap_".$s."cMW + linkymap_".$s."cPX;
            linkymap_".$s."Y = linkymap_".$s."rY - linkymap_".$s."mH * linkymap_".$s."cPY / linkymap_".$s."cMH + linkymap_".$s."cPY;
            0 < linkymap_".$s."X && (linkymap_".$s."X = 0);
            linkymap_".$s."X < linkymap_".$s."bW - linkymap_".$s."mW && (linkymap_".$s."X = linkymap_".$s."bW - linkymap_".$s."mW);
            0 < linkymap_".$s."Y && (linkymap_".$s."Y = 0);
            linkymap_".$s."Y < linkymap_".$s."bH - linkymap_".$s."mH && (linkymap_".$s."Y = linkymap_".$s."bH - linkymap_".$s."mH);
            if (linkymap_".$s."mW - 1 < linkymap_".$s."bW) {
                if (linkymap_".$s."cMW == linkymap_".$s."bW) {
                    linkymap_".$s."mW = linkymap_".$s."cMW;
                    linkymap_".$s."mH = linkymap_".$s."cMH;
                    linkymap_".$s."X = linkymap_".$s."rX;
                    linkymap_".$s."Y = linkymap_".$s."rY;
                    linkymap_".$s."tD = 0;
                    return
                }
                linkymap_".$s."mW = linkymap_".$s."bW, linkymap_".$s."mH = linkymap_".$s."bH, linkymap_".$s."X = linkymap_".$s."Y = 0
            }
            linkymap_".$s."div.style.top = linkymap_".$s."Y + 'px';
            linkymap_".$s."div.style.left = linkymap_".$s."X + 'px';
             drawMap_".$s."();
            linkymap_".$s."tD = 0
        }

        function linkymap_".$s."mU(e) {
            e.stopPropagation && e.stopPropagation();
            e.preventDefault && e.preventDefault();
            linkymap_".$s."mUX = e.clientX;
            linkymap_".$s."mUY = e.clientY;
            window.removeEventListener('mousemove', linkymap_".$s."dM, !0)
        }

        function linkymap_".$s."mD(e) {
            e.stopPropagation && e.stopPropagation();
            e.preventDefault && e.preventDefault();
            linkymap_".$s."dT = linkymap_".$s."div.style.top;
            linkymap_".$s."dL = linkymap_".$s."div.style.left;
            linkymap_".$s."dT = linkymap_".$s."dT.replace('px', '');
            linkymap_".$s."dL = linkymap_".$s."dL.replace('px', '');
            linkymap_".$s."mDX = linkymap_".$s."cX = e.clientX;
            linkymap_".$s."mDY = linkymap_".$s."cY = e.clientY;
            linkymap_".$s."oX = linkymap_".$s."cX - linkymap_".$s."dL;
            linkymap_".$s."oY = linkymap_".$s."cY - linkymap_".$s."dT;
            window.addEventListener('mousemove', linkymap_".$s."dM, !0)
        }

        function linkymap_".$s."dM(e) {
            linkymap_".$s."cX = e.clientX;
            linkymap_".$s."cY = e.clientY;
            linkymap_".$s."mCX = linkymap_".$s."cX - linkymap_".$s."oX;
            linkymap_".$s."mCY = linkymap_".$s."cY - linkymap_".$s."oY;
            0 < linkymap_".$s."mCX && (linkymap_".$s."mCX = 0);
            linkymap_".$s."mCX < linkymap_".$s."bW - linkymap_".$s."mW && (linkymap_".$s."mCX = linkymap_".$s."bW - linkymap_".$s."mW);
            0 < linkymap_".$s."mCY && (linkymap_".$s."mCY = 0);
            linkymap_".$s."mCY < linkymap_".$s."bH - linkymap_".$s."mH && (linkymap_".$s."mCY = linkymap_".$s."bH - linkymap_".$s."mH);
            linkymap_".$s."div.style.top = linkymap_".$s."mCY + 'px';
            linkymap_".$s."div.style.left = linkymap_".$s."mCX + 'px'
        }
        window.addEventListener('load', linkymap_".$s."init, false);

        function linkymap_".$s."init() {
            linkymap_".$s."rS();
            window.addEventListener ? (linkymap_".$s."div.addEventListener('DOMMouseScroll', linkymap_".$s."zO, !1), linkymap_".$s."div.addEventListener('mousewheel', linkymap_".$s."zO, !1), linkymap_".$s."div.addEventListener('mousedown', linkymap_".$s."mD, !1), window.addEventListener('mouseup', linkymap_".$s."mU, !1), window.addEventListener('orientationchange', linkymap_".$s."rS), window.addEventListener('resize', linkymap_".$s."rS)) : window.attachEvent && (linkymap_".$s."div.attachEvent('onmousewheel', linkymap_".$s."zO), linkymap_".$s."div.attachEvent('onmousedown', linkymap_".$s."mD), window.attachEvent('onmouseup', linkymap_".$s."mU), window.attachEvent('onresize', linkymap_".$s."rS))
        };
        var linkymap_".$s."rt = 400 / 600;
        var linkymap_".$s."vb = document.getElementById('linkymap_div_".$s."');
        var linkymap_".$s."bp = jQuery('#linkymap_div_".$s."').parent();";
	if($mapdata->map_action== 'html_sidebar')
	{
	$map.=" var sidebar=document.getElementById('sidebar_".$s."');
	sidebar.style.height = linkymap_".$s."rt * linkymap_".$s."bp.width() + 'px';";
	
	}
       $map.=" var linkymap_".$s."cv;
        linkymap_".$s."vb.style.height = linkymap_".$s."rt * linkymap_".$s."bp.width() + 'px';
        var linkymap_".$s."de = (function() {
            var linkymap_".$s."tm = 0;
            return function(callback, ms) {
                clearTimeout(linkymap_".$s."tm);
                linkymap_".$s."tm = setTimeout(callback, ms);
            };
        })();
        var linkymap_".$s."_dW;

        function linkymap_".$s."rS() {
            linkymap_".$s."cv = linkymap_".$s."bp.width();
            if (linkymap_".$s."_dW != linkymap_".$s."cv && linkymap_".$s."cv > 0) {
                linkymap_".$s."_dW = linkymap_".$s."cv;
                linkymap_".$s."cv -= 1 * 2;
                linkymap_".$s."vb.style.opacity = 0;
                linkymap_".$s."bW = linkymap_".$s."cv;
                linkymap_".$s."bH = linkymap_".$s."rt * linkymap_".$s."cv;
                linkymap_".$s."mW = linkymap_".$s."bW;
                linkymap_".$s."mH = linkymap_".$s."bH;
                linkymap_".$s."div.style.left = 0;
                linkymap_".$s."div.style.top = 0;
                linkymap_".$s."vb.style.width = linkymap_".$s."cv + 'px';
                linkymap_".$s."vb.style.height = linkymap_".$s."bH + 'px';
                linkymap_".$s."de(function() {
                     drawMap_".$s."();
                    linkymap_".$s."vb.style.opacity = 1;
                }, 500);
            }
        }
    </script>
    <script>
        function linkymap_".$s."zO_p() {
            if (linkymap_".$s."tD > 0) linkymap_".$s."tD *= 2;
            else linkymap_".$s."tD = 1;
            linkymap_".$s."eS && window.clearTimeout(linkymap_".$s."eS);
            linkymap_".$s."cPX = linkymap_".$s."bW / 2 - linkymap_".$s."div.offsetLeft;
            linkymap_".$s."cPY = linkymap_".$s."bH / 2 - linkymap_".$s."div.offsetTop;
            linkymap_".$s."eS = window.setTimeout(linkymap_".$s."zOh, 250)
        }

        function linkymap_".$s."zO_m() {
            if (linkymap_".$s."tD < 0) linkymap_".$s."tD *= 2;
            else linkymap_".$s."tD = -1;
            linkymap_".$s."eS && window.clearTimeout(linkymap_".$s."eS);
            linkymap_".$s."cPX = linkymap_".$s."bW / 2 - linkymap_".$s."div.offsetLeft;
            linkymap_".$s."cPY = linkymap_".$s."bH / 2 - linkymap_".$s."div.offsetTop;
            linkymap_".$s."eS = window.setTimeout(linkymap_".$s."zOh, 250)
        }

        function linkymap_".$s."l() {
            linkymap_".$s."dL = parseInt(linkymap_".$s."div.style.left);
            if (linkymap_".$s."dL < -50) linkymap_".$s."div.style.left = linkymap_".$s."dL + 50 + 'px';
            else linkymap_".$s."div.style.left = '0px';
        }

        function linkymap_".$s."r() {
            linkymap_".$s."dL = parseInt(linkymap_".$s."div.style.left);
            if (linkymap_".$s."bW - linkymap_".$s."mW < linkymap_".$s."dL - 50) linkymap_".$s."div.style.left = linkymap_".$s."dL - 50 + 'px';
            else linkymap_".$s."div.style.left = linkymap_".$s."bW - linkymap_".$s."mW + 'px';
        }

        function linkymap_".$s."u() {
            linkymap_".$s."dT = parseInt(linkymap_".$s."div.style.top);
            if (linkymap_".$s."dT < -50) linkymap_".$s."div.style.top = linkymap_".$s."dT + 50 + 'px';
            else linkymap_".$s."div.style.top = '0px';
        }

        function linkymap_".$s."d() {
            linkymap_".$s."dT = parseInt(linkymap_".$s."div.style.top);
            if (linkymap_".$s."bH - linkymap_".$s."mH < linkymap_".$s."dT - 50) linkymap_".$s."div.style.top = linkymap_".$s."dT - 50 + 'px';
            else linkymap_".$s."div.style.top = linkymap_".$s."bH - linkymap_".$s."mH + 'px';
        }
    </script>
    </section>";
	
		return $map;
	
	}
	
		public static function addhttp($url) {
			if($url=="")
			{
				
			}
			else if(is_numeric($url))
			{
				$com_path = JPATH_SITE . '/components/com_content/';
				require_once $com_path . 'router.php';
				require_once $com_path . 'helpers/route.php';
				JModelLegacy::addIncludePath($com_path . '/models', 'ContentModel');
				$article = JModelLegacy::getInstance('Article', 'ContentModel', array('ignore_request' => true));
				$article->setState('article.id', (int) $url);
				$app = JFactory::getApplication();
				$appParams = $app->getParams();
				$article->setState('params', $appParams);
				$item = $article->getItem();
				$item->slug = $item->id . ':' . $item->alias;
				$item->catslug = $item->catid ? $item->catid . ':' . $item->category_alias : $item->catid;
				$url=JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
			}
			else if (!preg_match("~^(?:f|ht)tps?://~i", $url)) {
				    $url = "http://" . $url;
			}
		return $url;
		}
		
		public static function getLatLongFromPostcode($postcode) {
		$postcode = urlencode(trim($postcode));
		$file = "http://maps.googleapis.com/maps/api/geocode/json?address=$postcode&sensor=true";
		jimport('joomla.application.component.helper');
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $file);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$geoloc = json_decode(curl_exec($ch), true);
		if ($geoloc['status'] == 'OK') {
                $data['lat'] = $geoloc['results'][0]['geometry']['location']['lat'];
                $data['lang'] = $geoloc['results'][0]['geometry']['location']['lng'];
		}
		 else
		{
                $file="http://geocode.arcgis.com/arcgis/rest/services/World/GeocodeServer/find?text=" . str_ireplace(" ", "%20", urldecode($postcode)) . "&f=pjson";
                curl_setopt($ch, CURLOPT_URL, $file);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                $geoloc = json_decode(curl_exec($ch), true);
                if($geoloc['locations'][0]['feature']['attributes']['Addr_Type']=="LatLong")
                {
                $data['lang'] = $geoloc['locations'][0]['feature']['geometry']['y'];
                $data['lat'] = $geoloc ['locations'][0]['feature']['geometry']['x']; 
                }
                else
                {
                $data['lang'] = $geoloc['locations'][0]['feature']['geometry']['x'];
                $data['lat'] = $geoloc ['locations'][0]['feature']['geometry']['y'];
                }
                
		}
		return $data;
		}
		public static function formatJavascript($text) {
			$text=str_replace("\n", '\n', str_replace('"', '\"', addcslashes(str_replace("\r", '', $text), "\0..\37'\\")));
			return $text;
		}

}

